-- TBEALLIT
-- **************************************************
ALTER TABLE TBEALLIT RENAME TO TBEALLIT_V18;
CREATE TABLE TBEALLIT (
    FCEGNEV            VARCHAR( 100 )    DEFAULT NULL,
    FCEGORSZAG         VARCHAR( 100 )    DEFAULT NULL,
    FCEGIRSZ           VARCHAR( 70 )     DEFAULT NULL,
    FCEGTELEP          VARCHAR( 100 )    DEFAULT NULL,
-- removed
--    FCEGUTCA        VARCHAR( 100 )    DEFAULT NULL,
-- end of removed
-- new cols
    FKOZTER_NEV        VARCHAR( 100 )    DEFAULT NULL, 
    FKOZTER_JELLEG     VARCHAR( 35 )     DEFAULT NULL, 
    FHAZSZAM           VARCHAR( 20 )     DEFAULT NULL, 
    FKERULET           VARCHAR( 20 )     DEFAULT NULL, 
    FEPULET            VARCHAR( 20 )     DEFAULT NULL, 
    FLEPCSOHAZ         VARCHAR( 20 )     DEFAULT NULL, 
    FSZINT             VARCHAR( 20 )     DEFAULT NULL, 
    FAJTO              VARCHAR( 20 )     DEFAULT NULL, 
-- end of new cols
    FCEGTEL            VARCHAR( 70 )     DEFAULT NULL,
    FCEGFAX            VARCHAR( 70 )     DEFAULT NULL,
    FCEGEMAIL          VARCHAR( 100 )    DEFAULT NULL,
    FCEGBANKSZLA       VARCHAR( 100 )    DEFAULT NULL,
    FCEGDEVIZASZLA1    VARCHAR( 100 )    DEFAULT NULL,
    FCEGDEVIZASZLA2    VARCHAR( 100 )    DEFAULT NULL,
    FCEGDEVIZASZLA3    VARCHAR( 100 )    DEFAULT NULL,
    FCEGADOSZAM        VARCHAR( 100 )    DEFAULT NULL,
    FCEGADOSZAMEU      VARCHAR( 100 )    DEFAULT NULL,
    FCEGVALLIGSZAM     VARCHAR( 100 )    DEFAULT NULL,
    FDEFRAKTAR         INTEGER           DEFAULT NULL,
    FDEFKTGH           INTEGER           DEFAULT NULL,
    FDEFFIZHATARIDO    INTEGER           DEFAULT NULL,
    FDEFFIZMOD         VARCHAR( 70 )     DEFAULT NULL,
    FDEFSZAMLAMEGJEGYZ VARCHAR( 255 )    DEFAULT NULL,
    FDEFVALUTAFORMAT   VARCHAR( 10 )     DEFAULT NULL,
    FDEFARRES          DECIMAL( 10, 2 )  DEFAULT NULL,
    FIDO               TIMESTAMP         NOT NULL
                                         DEFAULT CURRENT_TIMESTAMP,
    FUSER              VARCHAR( 70 )     DEFAULT NULL,
    FSZLAEMBLEMA       LONGBLOB,
    FSZLAPELDANY       INTEGER           DEFAULT NULL,
-- new cols
    FEGYENIVALLALKOZO  INTEGER           DEFAULT 0
-- end of new cols
);
INSERT INTO TBEALLIT (
   FCEGNEV, FCEGORSZAG, FCEGIRSZ, FCEGTELEP, FKOZTER_NEV, FCEGTEL, FCEGFAX, FCEGEMAIL, FCEGBANKSZLA, FCEGDEVIZASZLA1, FCEGDEVIZASZLA2, FCEGDEVIZASZLA3, FCEGADOSZAM, FCEGADOSZAMEU, FCEGVALLIGSZAM, FDEFRAKTAR, FDEFKTGH, FDEFFIZHATARIDO, FDEFFIZMOD, FDEFSZAMLAMEGJEGYZ, FDEFVALUTAFORMAT, FDEFARRES, FIDO, FUSER, FSZLAEMBLEMA, FSZLAPELDANY
) SELECT 
   FCEGNEV, FCEGORSZAG, FCEGIRSZ, FCEGTELEP, FCEGUTCA,    FCEGTEL, FCEGFAX, FCEGEMAIL, FCEGBANKSZLA, FCEGDEVIZASZLA1, FCEGDEVIZASZLA2, FCEGDEVIZASZLA3, FCEGADOSZAM, FCEGADOSZAMEU, FCEGVALLIGSZAM, FDEFRAKTAR, FDEFKTGH, FDEFFIZHATARIDO, FDEFFIZMOD, FDEFSZAMLAMEGJEGYZ, FDEFVALUTAFORMAT, FDEFARRES, FIDO, FUSER, FSZLAEMBLEMA, FSZLAPELDANY
  FROM TBEALLIT_V18;

-- TPARTNEREK
-- **************************************************
ALTER TABLE TPARTNEREK RENAME TO TPARTNEREK_V18;
CREATE TABLE TPARTNEREK (
    FAZONOSITO       INTEGER           PRIMARY KEY AUTOINCREMENT
                                       NOT NULL,
    FNEV             VARCHAR( 100 )    NOT NULL,
    FVEZETEKNEV      VARCHAR( 50 )     DEFAULT NULL,
    FKERESZTNEV      VARCHAR( 50 )     DEFAULT NULL,
    FSZULDATUM       DATE              DEFAULT NULL,
    FNEM             CHAR( 1 )         DEFAULT NULL,
    FTIPUS           INTEGER           DEFAULT NULL,
    FORSZAG          VARCHAR( 100 )    DEFAULT NULL,
    FIRSZ            VARCHAR( 70 )     DEFAULT NULL,
    FTELEPULES       VARCHAR( 100 )    DEFAULT NULL,
-- removed
--    FUTCA        VARCHAR( 100 )    DEFAULT NULL,
-- end of removed
-- new cols
    FKOZTER_NEV      VARCHAR( 100 )    DEFAULT NULL,
    FKOZTER_JELLEG   VARCHAR( 35 )     DEFAULT NULL,
    FHAZSZAM         VARCHAR( 20 )     DEFAULT NULL,
    FKERULET         VARCHAR( 20 )     DEFAULT NULL,
    FEPULET          VARCHAR( 20 )     DEFAULT NULL,
    FLEPCSOHAZ       VARCHAR( 20 )     DEFAULT NULL, 
    FSZINT           VARCHAR( 20 )     DEFAULT NULL,
    FAJTO            VARCHAR( 20 )     DEFAULT NULL,
-- end of new cols
    FTELEFON         VARCHAR( 100 )    DEFAULT NULL,
    FFAX             VARCHAR( 100 )    DEFAULT NULL,
    FEMAIL           VARCHAR( 100 )    DEFAULT NULL,
    FBANKSZLA        VARCHAR( 100 )    DEFAULT NULL,
    FADOSZAM         VARCHAR( 100 )    DEFAULT NULL,
    FKARTYASZAM      VARCHAR( 100 )    DEFAULT NULL,
    FKEDVEZMENY      DECIMAL( 10, 2 )  DEFAULT NULL,
    FDEFVALUTA       VARCHAR( 10 )     DEFAULT NULL,
    FDEFFIZHAT       INTEGER           DEFAULT '0',
    FDEFSZLAPELD     INTEGER           DEFAULT '0',
    FIDO             TIMESTAMP         NOT NULL
                                       DEFAULT CURRENT_TIME,
    FUSER            VARCHAR( 70 )     DEFAULT NULL 
);
INSERT INTO TPARTNEREK (
FAZONOSITO, FNEV, FVEZETEKNEV, FKERESZTNEV, FSZULDATUM, FNEM, FTIPUS, FORSZAG, FIRSZ, FTELEPULES, FKOZTER_NEV, FTELEFON, FFAX, FEMAIL, FBANKSZLA, FADOSZAM, FKARTYASZAM, FKEDVEZMENY, FDEFVALUTA, FDEFFIZHAT, FDEFSZLAPELD, FIDO, FUSER) 
SELECT 
FAZONOSITO, FNEV, FVEZETEKNEV, FKERESZTNEV, FSZULDATUM, FNEM, FTIPUS, FORSZAG, FIRSZ, FTELEPULES, FUTCA,       FTELEFON, FFAX, FEMAIL, FBANKSZLA, FADOSZAM, FKARTYASZAM, FKEDVEZMENY, FDEFVALUTA, FDEFFIZHAT, FDEFSZLAPELD, FIDO, FUSER 
FROM TPARTNEREK_V18;
CREATE UNIQUE INDEX idx_PARTNER_NEV_V19 ON TPARTNEREK (FNEV);


-- TBIZONYLATFEJ
-- **************************************************
ALTER TABLE TBIZONYLATFEJ RENAME TO TBIZONYLATFEJ_V18;
CREATE TABLE TBIZONYLATFEJ (

    FAZONOSITO        INTEGER           PRIMARY KEY AUTOINCREMENT
                                        NOT NULL,
    FBIZTIP           INTEGER           NOT NULL,
    FSTATUS           INTEGER           NOT NULL,
    FCEGNEV           VARCHAR( 100 )    NOT NULL,
    FCEGORSZAG        VARCHAR( 100 )    DEFAULT NULL,
    FCEGIRSZ          VARCHAR( 70 )     DEFAULT NULL,
    FCEGTELEP         VARCHAR( 100 )    NOT NULL,
-- removed
--    FCEGUTCA          VARCHAR( 100 )    NOT NULL,
-- end of removed
-- new cols
    FCEGKOZTER_NEV    VARCHAR( 100 )    DEFAULT NULL,
    FCEGKOZTER_JELLEG VARCHAR( 35 )     DEFAULT NULL,
    FCEGHAZSZAM       VARCHAR( 20 )     DEFAULT NULL,
    FCEGKERULET       VARCHAR( 20 )     DEFAULT NULL,
    FCEGEPULET        VARCHAR( 20 )     DEFAULT NULL,
    FCEGLEPCSOHAZ     VARCHAR( 20 )     DEFAULT NULL,     
    FCEGSZINT         VARCHAR( 20 )     DEFAULT NULL,
    FCEGAJTO          VARCHAR( 20 )     DEFAULT NULL,
-- end of new cols
    FCEGTEL           VARCHAR( 70 )     DEFAULT NULL,
    FCEGFAX           VARCHAR( 70 )     DEFAULT NULL,
    FCEGEMAIL         VARCHAR( 100 )    DEFAULT NULL,
    FCEGBANKSZLA      VARCHAR( 100 )    DEFAULT NULL,
    FCEGADOSZAM       VARCHAR( 100 )    DEFAULT NULL,
    FCEGADOSZAMEU     VARCHAR( 100 )    DEFAULT NULL,
    FCEGVALLIGSZAM    VARCHAR( 100 )    DEFAULT NULL,
	
    FVEVOAZONOSITO    INTEGER           DEFAULT NULL,
    FVEVONEV          VARCHAR( 100 )    NOT NULL,
    FVEVOORSZAG       VARCHAR( 100 )    DEFAULT NULL,
    FVEVOIRSZ         VARCHAR( 70 )     DEFAULT NULL,
    FVEVOTELEPULES    VARCHAR( 100 )    NOT NULL,
-- removed
--    FVEVOUTCA         VARCHAR( 100 )    NOT NULL,
-- end of removed
-- new cols
    FVEVOKOZTER_NEV    VARCHAR( 100 )    DEFAULT NULL,
    FVEVOKOZTER_JELLEG VARCHAR( 35 )     DEFAULT NULL,
    FVEVOHAZSZAM       VARCHAR( 20 )     DEFAULT NULL,
    FVEVOKERULET       VARCHAR( 20 )     DEFAULT NULL,
    FVEVOEPULET        VARCHAR( 20 )     DEFAULT NULL,
    FVEVOLEPCSOHAZ     VARCHAR( 20 )     DEFAULT NULL,
    FVEVOSZINT         VARCHAR( 20 )     DEFAULT NULL,
    FVEVOAJTO          VARCHAR( 20 )     DEFAULT NULL,
-- end of new cols
    FVEVOTELEFON      VARCHAR( 100 )    DEFAULT NULL,
    FVEVOFAX          VARCHAR( 100 )    DEFAULT NULL,
    FVEVOEMAIL        VARCHAR( 100 )    DEFAULT NULL,
    FVEVOBANKSZLA     VARCHAR( 100 )    DEFAULT NULL,
    FVEVOADOSZAM      VARCHAR( 100 )    DEFAULT NULL,
    FFORMATUM         INTEGER           NOT NULL,
    FSZEV             INTEGER           NOT NULL,
    FSZSZAM           INTEGER           NOT NULL,
    FKIALLDATUM       TIMESTAMP         NOT NULL
                                        DEFAULT CURRENT_TIMESTAMP,
    FFIZDATUM         TIMESTAMP         NOT NULL
                                        DEFAULT CURRENT_TIME,
    FTELJDATUM        TIMESTAMP         NOT NULL
                                        DEFAULT CURRENT_TIME,
    FFIZMOD           VARCHAR( 70 )     DEFAULT NULL,
    FTIPUS            INTEGER           DEFAULT NULL,
    FKEDVEZMENY       DECIMAL( 10, 2 )  DEFAULT NULL,
    FIDO              TIMESTAMP         NOT NULL
                                        DEFAULT CURRENT_TIME,
    FUSER             VARCHAR( 70 )     DEFAULT NULL,
    FMEGJEGYZES       VARCHAR( 255 )    DEFAULT NULL,
    FRENDSZAM         VARCHAR( 70 )     DEFAULT NULL,
    FMEGRENDELES      VARCHAR( 70 )     DEFAULT NULL,
    FHIVATKOZAS       VARCHAR( 70 )     DEFAULT NULL,
    FNYOMTATVA        INTEGER           DEFAULT NULL,
    FPELDANY          INTEGER           DEFAULT NULL,
    FVALUTA           VARCHAR( 10 )     DEFAULT NULL,
    FSTORNOSZLA       INTEGER           DEFAULT NULL,
    FSTORNOKIALLDATUM TIMESTAMP,
    FSTR01            VARCHAR( 100 )    DEFAULT NULL,
    FSTR02            VARCHAR( 100 )    DEFAULT NULL,
    FSTR03            VARCHAR( 100 )    DEFAULT NULL,
    FSTR04            VARCHAR( 100 )    DEFAULT NULL,
    FSTR05            VARCHAR( 100 )    DEFAULT NULL,
    FSTR06            VARCHAR( 100 )    DEFAULT NULL,
    FSTR07            VARCHAR( 100 )    DEFAULT NULL,
    FSTR08            VARCHAR( 100 )    DEFAULT NULL,
    FSTR09            VARCHAR( 100 )    DEFAULT NULL,
    FSTR10            VARCHAR( 100 )    DEFAULT NULL , 
    FADOSZABALY VARCHAR(25) NOT NULL DEFAULT 'DEFAULT', 
    FSZSZAMELOTAG VARCHAR(10) NOT NULL DEFAULT ''
);
INSERT INTO TBIZONYLATFEJ (
  FAZONOSITO, FBIZTIP, FSTATUS, FCEGNEV, FCEGORSZAG, FCEGIRSZ, FCEGTELEP, FVEVOKOZTER_NEV, FCEGTEL, FCEGFAX, FCEGEMAIL, FCEGBANKSZLA, FCEGADOSZAM, FCEGADOSZAMEU, FCEGVALLIGSZAM, FVEVOAZONOSITO, FVEVONEV, FVEVOORSZAG, FVEVOIRSZ, FVEVOTELEPULES, FVEVOKOZTER_NEV, FVEVOTELEFON, FVEVOFAX, FVEVOEMAIL, FVEVOBANKSZLA, FVEVOADOSZAM, FFORMATUM, FSZEV, FSZSZAM, FKIALLDATUM, FFIZDATUM, FTELJDATUM, FFIZMOD, FTIPUS, FKEDVEZMENY, FIDO, FUSER, FMEGJEGYZES, FRENDSZAM, FMEGRENDELES, FHIVATKOZAS, FNYOMTATVA, FPELDANY, FVALUTA, FSTORNOSZLA, FSTORNOKIALLDATUM, FSTR01, FSTR02, FSTR03, FSTR04, FSTR05, FSTR06, FSTR07, FSTR08, FSTR09, FSTR10, FADOSZABALY, FSZSZAMELOTAG
) SELECT
  FAZONOSITO, FBIZTIP, FSTATUS, FCEGNEV, FCEGORSZAG, FCEGIRSZ, FCEGTELEP, FVEVOUTCA,       FCEGTEL, FCEGFAX, FCEGEMAIL, FCEGBANKSZLA, FCEGADOSZAM, FCEGADOSZAMEU, FCEGVALLIGSZAM, FVEVOAZONOSITO, FVEVONEV, FVEVOORSZAG, FVEVOIRSZ, FVEVOTELEPULES, FVEVOUTCA,       FVEVOTELEFON, FVEVOFAX, FVEVOEMAIL, FVEVOBANKSZLA, FVEVOADOSZAM, FFORMATUM, FSZEV, FSZSZAM, FKIALLDATUM, FFIZDATUM, FTELJDATUM, FFIZMOD, FTIPUS, FKEDVEZMENY, FIDO, FUSER, FMEGJEGYZES, FRENDSZAM, FMEGRENDELES, FHIVATKOZAS, FNYOMTATVA, FPELDANY, FVALUTA, FSTORNOSZLA, FSTORNOKIALLDATUM, FSTR01, FSTR02, FSTR03, FSTR04, FSTR05, FSTR06, FSTR07, FSTR08, FSTR09, FSTR10, FADOSZABALY, FSZSZAMELOTAG
FROM TBIZONYLATFEJ_V18;
CREATE UNIQUE INDEX idx_BIZONYLATFEJ_KOD_V19 ON TBIZONYLATFEJ (FBIZTIP, FSZEV, FSZSZAM);


ALTER TABLE TBIZONYLATTETEL ADD FKOZVSZOLGALTATAS INTEGER DEFAULT 0;

ALTER TABLE TTORZS ADD FKOZVSZOLGALTATAS INTEGER DEFAULT 0;

