-- MySQL dump 10.13  Distrib 5.5.46, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: SmartStorage
-- ------------------------------------------------------
-- Server version	5.5.46-0ubuntu0.14.04.2

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `TAFATIPUSOK`
--

DROP TABLE IF EXISTS `TAFATIPUSOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TAFATIPUSOK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FAFA` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `AFATIPUSOK_NEV` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TAFATIPUSOK`
--

LOCK TABLES `TAFATIPUSOK` WRITE;
/*!40000 ALTER TABLE `TAFATIPUSOK` DISABLE KEYS */;
INSERT INTO `TAFATIPUSOK` VALUES (1,'27%-os ÁFA',27.00,'2010-11-11 12:51:53',NULL);
/*!40000 ALTER TABLE `TAFATIPUSOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TANYAGMOZGAS`
--

DROP TABLE IF EXISTS `TANYAGMOZGAS`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TANYAGMOZGAS` (
  `FAZONOSITO` bigint(20) NOT NULL AUTO_INCREMENT,
  `FDATUM` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FMOZGASKOD` int(11) NOT NULL,
  `FANYAGKOD` varchar(70) NOT NULL,
  `FANYAGNEV` varchar(100) DEFAULT NULL,
  `FNETTOAR` decimal(12,2) NOT NULL,
  `FEGYSEG` varchar(20) DEFAULT NULL,
  `FMENNYISEG` decimal(12,2) NOT NULL,
  `FKTGH_ROL` varchar(100) DEFAULT NULL,
  `FKTGH_RE` varchar(100) DEFAULT NULL,
  `FCEG` int(11) DEFAULT NULL,
  `FBIZONYLATSZAM` varchar(70) DEFAULT NULL,
  `FUSER` varchar(70) DEFAULT NULL,
  `FELOZMENY` int(11) NOT NULL,
  `FKONYVELVE` int(11) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `FFIFO` decimal(12,2) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  KEY `ANYAGKOD` (`FANYAGKOD`),
  KEY `DATUM` (`FDATUM`),
  KEY `MOZGASKOD` (`FMOZGASKOD`),
  KEY `KTGH_ROL` (`FKTGH_ROL`),
  KEY `KTGH_RE` (`FKTGH_RE`),
  KEY `CEG` (`FCEG`),
  CONSTRAINT `ANYAGMOZGAS_ANYAGKOD` FOREIGN KEY (`FANYAGKOD`) REFERENCES `TTORZS` (`FRAKTKOD`) ON UPDATE CASCADE,
  CONSTRAINT `ANYAGMOZGAS_MOZGASKOD` FOREIGN KEY (`FMOZGASKOD`) REFERENCES `TMOZGASTIPUSOK` (`FKOD`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TANYAGMOZGAS`
--

LOCK TABLES `TANYAGMOZGAS` WRITE;
/*!40000 ALTER TABLE `TANYAGMOZGAS` DISABLE KEYS */;
/*!40000 ALTER TABLE `TANYAGMOZGAS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TAUTOBIZONYLAT`
--

DROP TABLE IF EXISTS `TAUTOBIZONYLAT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TAUTOBIZONYLAT` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FSZLAVEVO` int(11) NOT NULL,
  `FSZLAMINTA` int(11) NOT NULL,
  `FSZLARENDSZAM` varchar(70) DEFAULT NULL,
  `FSZLAMEGRENDELES` varchar(70) DEFAULT NULL,
  `FSZLAHIVATKOZAS` varchar(70) DEFAULT NULL,
  `FSZLAGYAKORISAG` int(11) NOT NULL,
  `FSZLAGENNEXT` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FIDO` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `AUTOBIZONYLAT_ID` (`FSZLAVEVO`,`FSZLAMINTA`),
  KEY `AUTOBIZONYLAT_MINTA` (`FSZLAMINTA`),
  CONSTRAINT `AUTOBIZONYLAT_MINTA` FOREIGN KEY (`FSZLAMINTA`) REFERENCES `TBIZONYLATFEJ` (`FAZONOSITO`) ON UPDATE CASCADE,
  CONSTRAINT `AUTOBIZONYLAT_VEVO` FOREIGN KEY (`FSZLAVEVO`) REFERENCES `TPARTNEREK` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TAUTOBIZONYLAT`
--

LOCK TABLES `TAUTOBIZONYLAT` WRITE;
/*!40000 ALTER TABLE `TAUTOBIZONYLAT` DISABLE KEYS */;
/*!40000 ALTER TABLE `TAUTOBIZONYLAT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TBEALLIT`
--

DROP TABLE IF EXISTS `TBEALLIT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TBEALLIT` (
  `FCEGNEV` varchar(100) DEFAULT NULL,
  `FCEGORSZAG` varchar(100) DEFAULT NULL,
  `FCEGIRSZ` varchar(70) DEFAULT NULL,
  `FCEGTELEP` varchar(100) DEFAULT NULL,
  `FEGYENIVALLALKOZO` int(11) DEFAULT '0',
  `FAJTO` varchar(20) DEFAULT NULL,
  `FSZINT` varchar(20) DEFAULT NULL,
  `FLEPCSOHAZ` varchar(20) DEFAULT NULL,
  `FEPULET` varchar(20) DEFAULT NULL,
  `FKERULET` varchar(20) DEFAULT NULL,
  `FHAZSZAM` varchar(20) DEFAULT NULL,
  `FKOZTER_JELLEG` varchar(35) DEFAULT NULL,
  `FKOZTER_NEV` varchar(100) DEFAULT NULL,
  `FCEGTEL` varchar(70) DEFAULT NULL,
  `FCEGFAX` varchar(70) DEFAULT NULL,
  `FCEGEMAIL` varchar(100) DEFAULT NULL,
  `FCEGBANKSZLA` varchar(100) DEFAULT NULL,
  `FCEGDEVIZASZLA1` varchar(100) DEFAULT NULL,
  `FCEGDEVIZASZLA2` varchar(100) DEFAULT NULL,
  `FCEGDEVIZASZLA3` varchar(100) DEFAULT NULL,
  `FCEGADOSZAM` varchar(100) DEFAULT NULL,
  `FCEGADOSZAMEU` varchar(100) DEFAULT NULL,
  `FCEGVALLIGSZAM` varchar(100) DEFAULT NULL,
  `FDEFRAKTAR` int(11) DEFAULT NULL,
  `FDEFKTGH` int(11) DEFAULT NULL,
  `FDEFFIZHATARIDO` int(11) DEFAULT NULL,
  `FDEFFIZMOD` varchar(70) DEFAULT NULL,
  `FDEFSZAMLAMEGJEGYZ` varchar(255) DEFAULT NULL,
  `FDEFVALUTAFORMAT` varchar(10) DEFAULT NULL,
  `FDEFARRES` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  `FSZLAEMBLEMA` longblob,
  `FSZLAPELDANY` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TBEALLIT`
--

LOCK TABLES `TBEALLIT` WRITE;
/*!40000 ALTER TABLE `TBEALLIT` DISABLE KEYS */;
INSERT INTO `TBEALLIT` VALUES ('Perger Attila','Magyarország','8200','Veszprém',1,'','','','','','8/A.','utca','Csákány','(+36) 30 / 9012091','(+36) 87 / 446944','perger.attila@pergersoft.hu','12345678-12345678-00000000','-','-','-','123456789-1-12','HU123456789','XX-123456',1,2,14,'Átutalás','Köszönjük, hogy nálunk vásárolt!','HUF',0.00,'2016-01-19 21:55:37','default','\0#JFIF\0##\0\0#\0#\0\0\0C\0#####################N####\nN\n\n#N##R###R##############\n##########\0C#######	##	#R#R##################################################\0##\09\0##\"\0######\0#\0\0########\0\0\0\0\0\0\0\0########	N#\0#\0###########\0\0#}###\0####!1A##QA#\"Q#2##B#R$3BR	N####\Z%&\'()*456789:CDEFGHIJSTUVWXYZCDEFGHIJSTUVWXYZ\0##\0##########\0\0\0\0\0\0########	N#\0#\0###########\0##W\0######!1##AQ#AQ#\"2##B	#3R#BRN#$4%###\Z&\'()*56789:CDEFGHIJSTUVWXYZCDEFGHIJSTUVWXYZ\0\n##\0####\0?\0S(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(\0(#',2);
/*!40000 ALTER TABLE `TBEALLIT` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TBIZONYLATFEJ`
--

DROP TABLE IF EXISTS `TBIZONYLATFEJ`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TBIZONYLATFEJ` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FBIZTIP` int(11) NOT NULL,
  `FSTATUS` int(11) NOT NULL,
  `FCEGNEV` varchar(100) NOT NULL,
  `FCEGORSZAG` varchar(100) DEFAULT NULL,
  `FCEGIRSZ` varchar(70) DEFAULT NULL,
  `FCEGTELEP` varchar(100) NOT NULL,
  `FVEVOAJTO` varchar(20) DEFAULT NULL,
  `FVEVOSZINT` varchar(20) DEFAULT NULL,
  `FVEVOLEPCSOHAZ` varchar(20) DEFAULT NULL,
  `FVEVOEPULET` varchar(20) DEFAULT NULL,
  `FVEVOKERULET` varchar(20) DEFAULT NULL,
  `FVEVOHAZSZAM` varchar(20) DEFAULT NULL,
  `FVEVOKOZTER_JELLEG` varchar(35) DEFAULT NULL,
  `FVEVOKOZTER_NEV` varchar(100) DEFAULT NULL,
  `FCEGAJTO` varchar(20) DEFAULT NULL,
  `FCEGSZINT` varchar(20) DEFAULT NULL,
  `FCEGLEPCSOHAZ` varchar(20) DEFAULT NULL,
  `FCEGEPULET` varchar(20) DEFAULT NULL,
  `FCEGKERULET` varchar(20) DEFAULT NULL,
  `FCEGHAZSZAM` varchar(20) DEFAULT NULL,
  `FCEGKOZTER_JELLEG` varchar(35) DEFAULT NULL,
  `FCEGKOZTER_NEV` varchar(100) DEFAULT NULL,
  `FCEGTEL` varchar(70) DEFAULT NULL,
  `FCEGFAX` varchar(70) DEFAULT NULL,
  `FCEGEMAIL` varchar(100) DEFAULT NULL,
  `FCEGBANKSZLA` varchar(100) DEFAULT NULL,
  `FCEGADOSZAM` varchar(100) DEFAULT NULL,
  `FCEGADOSZAMEU` varchar(100) DEFAULT NULL,
  `FCEGVALLIGSZAM` varchar(100) DEFAULT NULL,
  `FVEVONEV` varchar(100) NOT NULL,
  `FVEVOORSZAG` varchar(100) DEFAULT NULL,
  `FVEVOIRSZ` varchar(70) DEFAULT NULL,
  `FVEVOTELEPULES` varchar(100) NOT NULL,
  `FVEVOTELEFON` varchar(100) DEFAULT NULL,
  `FVEVOFAX` varchar(100) DEFAULT NULL,
  `FVEVOEMAIL` varchar(100) DEFAULT NULL,
  `FVEVOBANKSZLA` varchar(100) DEFAULT NULL,
  `FVEVOADOSZAM` varchar(100) DEFAULT NULL,
  `FFORMATUM` int(11) NOT NULL,
  `FSZEV` int(11) NOT NULL,
  `FSZSZAM` int(11) NOT NULL,
  `FKIALLDATUM` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `FFIZDATUM` timestamp NULL DEFAULT NULL,
  `FTELJDATUM` timestamp NULL DEFAULT NULL,
  `FFIZMOD` varchar(70) DEFAULT NULL,
  `FTIPUS` int(11) DEFAULT NULL,
  `FKEDVEZMENY` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NULL DEFAULT NULL,
  `FUSER` varchar(70) DEFAULT NULL,
  `FMEGJEGYZES` varchar(255) DEFAULT NULL,
  `FRENDSZAM` varchar(70) DEFAULT NULL,
  `FMEGRENDELES` varchar(70) DEFAULT NULL,
  `FHIVATKOZAS` varchar(70) DEFAULT NULL,
  `FNYOMTATVA` int(11) DEFAULT NULL,
  `FPELDANY` int(11) DEFAULT NULL,
  `FVALUTA` varchar(10) DEFAULT NULL,
  `FSTORNOSZLA` int(11) DEFAULT NULL,
  `FSTORNOKIALLDATUM` timestamp NULL DEFAULT NULL,
  `FSTR01` varchar(100) DEFAULT NULL,
  `FSTR02` varchar(100) DEFAULT NULL,
  `FSTR03` varchar(100) DEFAULT NULL,
  `FSTR04` varchar(100) DEFAULT NULL,
  `FSTR05` varchar(100) DEFAULT NULL,
  `FSTR06` varchar(100) DEFAULT NULL,
  `FSTR07` varchar(100) DEFAULT NULL,
  `FSTR08` varchar(100) DEFAULT NULL,
  `FSTR09` varchar(100) DEFAULT NULL,
  `FSTR10` varchar(100) DEFAULT NULL,
  `FVEVOAZONOSITO` int(11) DEFAULT NULL,
  `FADOSZABALY` varchar(25) NOT NULL DEFAULT 'DEFAULT',
  `FSZSZAMELOTAG` varchar(10) NOT NULL DEFAULT '',
  `FPENZFORGALMIELSZ` int(11) DEFAULT '0',
  `FVEVOADOSZAMEU` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `BIZONYLATFEJ_KOD` (`FBIZTIP`,`FSZEV`,`FSZSZAM`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TBIZONYLATFEJ`
--

LOCK TABLES `TBIZONYLATFEJ` WRITE;
/*!40000 ALTER TABLE `TBIZONYLATFEJ` DISABLE KEYS */;
/*!40000 ALTER TABLE `TBIZONYLATFEJ` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TBIZONYLATTETEL`
--

DROP TABLE IF EXISTS `TBIZONYLATTETEL`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TBIZONYLATTETEL` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FBIZONYLATFEJ` int(11) NOT NULL,
  `FTETELKOD` varchar(70) NOT NULL,
  `FITJSZ` varchar(70) DEFAULT NULL,
  `FNEV` varchar(100) DEFAULT NULL,
  `FMENNY` decimal(12,2) DEFAULT NULL,
  `FEGYSEG` varchar(20) DEFAULT NULL,
  `FEGYSEGAR` decimal(12,2) DEFAULT NULL,
  `FAFA` decimal(12,2) DEFAULT NULL,
  `FKEDVEZMENY` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  `FANYAGMOZGAS` int(11) DEFAULT NULL,
  `FVISSZAVET` decimal(12,2) DEFAULT NULL,
  `FAFAAZON` int(11) DEFAULT NULL,
  `FAFANEV` varchar(30) DEFAULT NULL,
  `FKOZVSZOLGALTATAS` int(11) DEFAULT '0',
  PRIMARY KEY (`FAZONOSITO`),
  KEY `BIZTETEL_BIZONYLATFEJ` (`FBIZONYLATFEJ`),
  CONSTRAINT `BIZTETEL_BIZONYLATFEJ` FOREIGN KEY (`FBIZONYLATFEJ`) REFERENCES `TBIZONYLATFEJ` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TBIZONYLATTETEL`
--

LOCK TABLES `TBIZONYLATTETEL` WRITE;
/*!40000 ALTER TABLE `TBIZONYLATTETEL` DISABLE KEYS */;
/*!40000 ALTER TABLE `TBIZONYLATTETEL` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TBIZTETELMEGJEGYZ`
--

DROP TABLE IF EXISTS `TBIZTETELMEGJEGYZ`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TBIZTETELMEGJEGYZ` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FBIZONYLATTETEL` int(11) NOT NULL,
  `FSOR` varchar(255) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  KEY `BIZTETELMEGJEGY_BIZONYLATTETEL` (`FBIZONYLATTETEL`),
  CONSTRAINT `BIZTETELMEGJEGY_BIZONYLATTETEL` FOREIGN KEY (`FBIZONYLATTETEL`) REFERENCES `TBIZONYLATTETEL` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TBIZTETELMEGJEGYZ`
--

LOCK TABLES `TBIZTETELMEGJEGYZ` WRITE;
/*!40000 ALTER TABLE `TBIZTETELMEGJEGYZ` DISABLE KEYS */;
/*!40000 ALTER TABLE `TBIZTETELMEGJEGYZ` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TCSOPORTOK`
--

DROP TABLE IF EXISTS `TCSOPORTOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TCSOPORTOK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FLEIRAS` varchar(255) DEFAULT NULL,
  `FFUNKCIO` int(11) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `CSOPORTOK_NEV` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TCSOPORTOK`
--

LOCK TABLES `TCSOPORTOK` WRITE;
/*!40000 ALTER TABLE `TCSOPORTOK` DISABLE KEYS */;
INSERT INTO `TCSOPORTOK` VALUES (1,'Alap. csoport','Alapértelmezett csoport',0,'2010-11-11 12:51:03',NULL);
/*!40000 ALTER TABLE `TCSOPORTOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TFIZMOD`
--

DROP TABLE IF EXISTS `TFIZMOD`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TFIZMOD` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  `FFIZHAT` int(11) DEFAULT NULL,
  `FSZLAFORMAT` int(11) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `FIZMOD_NEV` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TFIZMOD`
--

LOCK TABLES `TFIZMOD` WRITE;
/*!40000 ALTER TABLE `TFIZMOD` DISABLE KEYS */;
INSERT INTO `TFIZMOD` VALUES (1,'Készpénz','2012-04-22 12:47:46','default',0,1004),(2,'Átutalás','2012-04-22 12:47:28','default',14,1003);
/*!40000 ALTER TABLE `TFIZMOD` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TKESZLET`
--

DROP TABLE IF EXISTS `TKESZLET`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TKESZLET` (
  `FKTGH` varchar(100) NOT NULL,
  `FANYAGKOD` varchar(70) NOT NULL,
  `FMENNYISEG` decimal(12,2) DEFAULT NULL,
  `FERTEK` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FKTGH`,`FANYAGKOD`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TKESZLET`
--

LOCK TABLES `TKESZLET` WRITE;
/*!40000 ALTER TABLE `TKESZLET` DISABLE KEYS */;
/*!40000 ALTER TABLE `TKESZLET` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TKOLTSEGHELYEK`
--

DROP TABLE IF EXISTS `TKOLTSEGHELYEK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TKOLTSEGHELYEK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(100) NOT NULL,
  `FTIPUS` int(11) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `KOLTSEGHELYEK_NEV` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TKOLTSEGHELYEK`
--

LOCK TABLES `TKOLTSEGHELYEK` WRITE;
/*!40000 ALTER TABLE `TKOLTSEGHELYEK` DISABLE KEYS */;
INSERT INTO `TKOLTSEGHELYEK` VALUES (1,'Raktár',1,'2010-11-11 12:52:21',NULL),(2,'Alap. ktgh.',0,'2010-11-11 12:52:10',NULL);
/*!40000 ALTER TABLE `TKOLTSEGHELYEK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TMEGJEGYZFEJ`
--

DROP TABLE IF EXISTS `TMEGJEGYZFEJ`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TMEGJEGYZFEJ` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(100) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `NEV_MEGJEGYZFEJ` (`FNEV`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TMEGJEGYZFEJ`
--

LOCK TABLES `TMEGJEGYZFEJ` WRITE;
/*!40000 ALTER TABLE `TMEGJEGYZFEJ` DISABLE KEYS */;
/*!40000 ALTER TABLE `TMEGJEGYZFEJ` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TMEGJEGYZSOROK`
--

DROP TABLE IF EXISTS `TMEGJEGYZSOROK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TMEGJEGYZSOROK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FMEGJEGYZFEJ` int(11) NOT NULL,
  `FSOR` varchar(255) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  KEY `MEGJEGYZSOROK_MEGJEGYZFEJ` (`FMEGJEGYZFEJ`),
  CONSTRAINT `MEGJEGYZSOROK_MEGJEGYZFEJ` FOREIGN KEY (`FMEGJEGYZFEJ`) REFERENCES `TMEGJEGYZFEJ` (`FAZONOSITO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TMEGJEGYZSOROK`
--

LOCK TABLES `TMEGJEGYZSOROK` WRITE;
/*!40000 ALTER TABLE `TMEGJEGYZSOROK` DISABLE KEYS */;
/*!40000 ALTER TABLE `TMEGJEGYZSOROK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TMOZGASTIPUSOK`
--

DROP TABLE IF EXISTS `TMOZGASTIPUSOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TMOZGASTIPUSOK` (
  `FKOD` int(11) NOT NULL,
  `FNEV` varchar(70) NOT NULL,
  PRIMARY KEY (`FKOD`),
  UNIQUE KEY `MOZGASTIPUS_NEV` (`FNEV`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TMOZGASTIPUSOK`
--

LOCK TABLES `TMOZGASTIPUSOK` WRITE;
/*!40000 ALTER TABLE `TMOZGASTIPUSOK` DISABLE KEYS */;
INSERT INTO `TMOZGASTIPUSOK` VALUES (3,'ÁTHELYEZéS KæLTSéGHELYEK KæZæTT'),(2,'ÁTVéTEL KéSZLETRE/BEéRKEZéS KæNYVELéSE'),(1,'BEéRKEZéS RæGZíTéSE'),(4,'KIADáS MUNKALAPRA'),(9,'LELTáRHIáNY'),(8,'LELTáRTæBBLET'),(10,'NYITãKéSZLET/LELTáRI EREDMéNY-KORREKCIã'),(7,'SELEJTEZéS RæGZíTéSE'),(11,'TæRLéS: áTVéTEL KæLTSéGHELYRE'),(12,'TæRLéS: KIADáS KæLTSéGHELYRőL'),(13,'VISSZáRê VEVőTőL'),(6,'VISSZáRU BESZáLLíTãNAK, NAGYKERNEK'),(5,'VISSZAVéTELEZéS MUNKALAPRãL');
/*!40000 ALTER TABLE `TMOZGASTIPUSOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TPARTNERAUTO`
--

DROP TABLE IF EXISTS `TPARTNERAUTO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TPARTNERAUTO` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FPARTNER` int(11) NOT NULL,
  `FRENDSZAM` varchar(70) DEFAULT NULL,
  `FGYARTASIEV` int(11) DEFAULT NULL,
  `FGYARTMANY` varchar(70) DEFAULT NULL,
  `FTIPUS` varchar(70) DEFAULT NULL,
  `FALVAZSZAM` varchar(70) DEFAULT NULL,
  `FMOTORSZAM` varchar(70) DEFAULT NULL,
  `FVASARLASMOD` int(11) DEFAULT NULL,
  `FVASARLASEVE` int(11) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `PARTNERAUTO_RENDSZAM` (`FRENDSZAM`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TPARTNERAUTO`
--

LOCK TABLES `TPARTNERAUTO` WRITE;
/*!40000 ALTER TABLE `TPARTNERAUTO` DISABLE KEYS */;
/*!40000 ALTER TABLE `TPARTNERAUTO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TPARTNEREK`
--

DROP TABLE IF EXISTS `TPARTNEREK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TPARTNEREK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(100) NOT NULL,
  `FVEZETEKNEV` varchar(50) DEFAULT NULL,
  `FKERESZTNEV` varchar(50) DEFAULT NULL,
  `FSZULDATUM` date DEFAULT NULL,
  `FNEM` char(1) DEFAULT NULL,
  `FTIPUS` int(11) DEFAULT NULL,
  `FORSZAG` varchar(100) DEFAULT NULL,
  `FIRSZ` varchar(70) DEFAULT NULL,
  `FTELEPULES` varchar(100) DEFAULT NULL,
  `FAJTO` varchar(20) DEFAULT NULL,
  `FSZINT` varchar(20) DEFAULT NULL,
  `FLEPCSOHAZ` varchar(20) DEFAULT NULL,
  `FEPULET` varchar(20) DEFAULT NULL,
  `FKERULET` varchar(20) DEFAULT NULL,
  `FHAZSZAM` varchar(20) DEFAULT NULL,
  `FKOZTER_JELLEG` varchar(35) DEFAULT NULL,
  `FKOZTER_NEV` varchar(100) DEFAULT NULL,
  `FTELEFON` varchar(100) DEFAULT NULL,
  `FFAX` varchar(100) DEFAULT NULL,
  `FEMAIL` varchar(100) DEFAULT NULL,
  `FBANKSZLA` varchar(100) DEFAULT NULL,
  `FADOSZAM` varchar(100) DEFAULT NULL,
  `FKARTYASZAM` varchar(100) DEFAULT NULL,
  `FKEDVEZMENY` decimal(12,2) DEFAULT NULL,
  `FDEFVALUTA` varchar(10) DEFAULT NULL,
  `FDEFFIZHAT` int(11) DEFAULT '0',
  `FDEFSZLAPELD` int(11) DEFAULT '0',
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `PARTNER_NEV` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TPARTNEREK`
--

LOCK TABLES `TPARTNEREK` WRITE;
/*!40000 ALTER TABLE `TPARTNEREK` DISABLE KEYS */;
INSERT INTO `TPARTNEREK` VALUES (1,'Mindenes','','','1899-12-30','-',0,'Magyarország','9999','-',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-','','','','12345678-12345678','123456789-1-12','',0.00,'HUF',10,2,'2016-01-19 21:55:08','default');
/*!40000 ALTER TABLE `TPARTNEREK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TRAKTGYUJTO`
--

DROP TABLE IF EXISTS `TRAKTGYUJTO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TRAKTGYUJTO` (
  `FGYUJTOKOD` varchar(70) NOT NULL,
  `FTETELKOD` varchar(70) NOT NULL,
  `FMENNYISEG` decimal(12,2) DEFAULT NULL,
  PRIMARY KEY (`FGYUJTOKOD`,`FTETELKOD`),
  KEY `RAKTGYUJTO_TETELKOD` (`FTETELKOD`),
  CONSTRAINT `RAKTGYUJTO_GYUJTOKOD` FOREIGN KEY (`FGYUJTOKOD`) REFERENCES `TTORZS` (`FRAKTKOD`) ON UPDATE CASCADE,
  CONSTRAINT `RAKTGYUJTO_TETELKOD` FOREIGN KEY (`FTETELKOD`) REFERENCES `TTORZS` (`FRAKTKOD`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TRAKTGYUJTO`
--

LOCK TABLES `TRAKTGYUJTO` WRITE;
/*!40000 ALTER TABLE `TRAKTGYUJTO` DISABLE KEYS */;
/*!40000 ALTER TABLE `TRAKTGYUJTO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TRENDSZERTULAJDONSAGOK`
--

DROP TABLE IF EXISTS `TRENDSZERTULAJDONSAGOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TRENDSZERTULAJDONSAGOK` (
  `FKOD` varchar(50) NOT NULL DEFAULT '',
  `FNEV` varchar(100) DEFAULT NULL,
  `FTIPUS` int(11) NOT NULL,
  `FSZOVEG` varchar(255) DEFAULT NULL,
  `FSZAM` decimal(12,2) DEFAULT NULL,
  PRIMARY KEY (`FKOD`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TRENDSZERTULAJDONSAGOK`
--

LOCK TABLES `TRENDSZERTULAJDONSAGOK` WRITE;
/*!40000 ALTER TABLE `TRENDSZERTULAJDONSAGOK` DISABLE KEYS */;
INSERT INTO `TRENDSZERTULAJDONSAGOK` VALUES ('CASH_ACCOUNTING','Cash Accounting',2,'false',0.00),('DOCUMENT_DELIVERYNOTE_PREFIX','Delivery note id prefix',1,'SL',0.00),('DOCUMENT_INVOICE_PATTERN_PREFIX','Invoice pattern id prefix',1,'MT',0.00),('DOCUMENT_INVOICE_PREFIX','Invoice number prefix',1,'SZLA',0.00),('DOCUMENT_INVOICE_PROFORMA_PREFIX','Proforma invoice id prefix',1,'PF',0.00),('DOCUMENT_PREPAYMENT_REQUEST_PREFIX','Prepayment request id prefix',1,'DB',0.00),('PASSWORD_ALGORITHM','Password algorithm',2,'-9999',-9999.00),('PASSWORD_HASH_ENCODER','Password HASH encoder',1,'BASE64',0.00),('PASSWORD_MAX_ENCODED_LENGTH','Maximum lenght of encoded password',2,'40',40.00),('PASSWORD_MERGE_FUNCTION','Password merge function',1,'MSG_DIGEST',0.00),('PASSWORD_USE_SALT','Use \'Salt\' for password encoding',2,'false',0.00),('TAX_POLICY','TAX Policy',1,'DEFAULT',0.00);
/*!40000 ALTER TABLE `TRENDSZERTULAJDONSAGOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TRIPORTOK`
--

DROP TABLE IF EXISTS `TRIPORTOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TRIPORTOK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FTIPUS` int(11) NOT NULL,
  `FRIPORT` longblob,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `RIPORTOK_KOD` (`FTIPUS`,`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TRIPORTOK`
--

LOCK TABLES `TRIPORTOK` WRITE;
/*!40000 ALTER TABLE `TRIPORTOK` DISABLE KEYS */;
INSERT INTO `TRIPORTOK` VALUES (1,'ALAPéRTELMEZETT - EGéSZRE KEREKíT',1,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSZEV AS FYEAR,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FSTORNOKIALLDATUM,\'#13#10\'EXTRACT(YEAR FROM FSTORNOKIALLDATUM) AS\' +RN        \' FSTYEAR,\'#13#10\'TBIZONYLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10 +RN        \'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FME\' +RN        \'GJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONO\' +RN        \'SITO AS FTETELEAZON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETE\' +RN        \'L.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZO\' +RN        \'NYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL\' +RN        \'.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZA\' +RN        \'G,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPU\' +RN        \'LES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS\' +RN        \' PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYL\' +RN        \'ATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRS\' +RN        \'Z,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13 +RN        #10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FCEGADOSZAMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLI\' +RN        \'T.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTE\' +RN        \'TEL ON  TBIZONYLATFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ\' +RN        \',\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDE\' +RN        \'R BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYL\' +RN        \'ATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 12RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION48RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION49RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL36RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT =\n TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL42RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION52RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION60RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2805RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION42RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL32RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL33RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION57RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION58RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1018RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION44RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL30RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION54RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION55RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 615RN    POSX = 150RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT\n = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'A SZ\'#225\'MLA V\'#233\'G\'#246\'SSZEGE:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4995RN    HEIGHT = 555RN    POSX = 5490RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 990RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1215RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 255RN    POSX = 300RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 285RN    POSY = 885RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 285RN    POSY = 675RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 285RN    POSY = 1110RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 285RN    POSY = 1365RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1575RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1800RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1875RN    POSY = 2025RN    TYPE1FONT = POHELVETICARN    FONTSIZE\n = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6435RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 4350RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 225RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZMOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 555RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'00.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'00.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3345RN    HEIGHT = 570RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZTORN\'#211\'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 5010RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA-SZTORN\'#243\'ZVA\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 2835RN    HEIGHT = 850RN    POSX = 7650RN    POSY = 195RN    DRAWSTYLE = RPDRAWSTRETCHRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'RETAILER.FSZLAEMBLEMA\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 240RN    POSX = 8760RN    POSY = 4665RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000/\'#39\',RETAILER.FYEAR)+FORMATSTR(\'#39\'00000\'#39\',RETAILER.FSZ\' +RN      \'SZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 285RN    POSY = 2040RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 285RN    POSY = 1815RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 285RN    POSY = 1590RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN\n    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 3313RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 225RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI M\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6450RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 4350RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1620RN    HEIGHT = 225RN    POSX = 8775RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'MLASZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 346RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5530RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2070RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8595RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 6210RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 4140RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3317RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2611RN    HEIGHT = 307RN    POSX = 4365RN    POSY = 780RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTIPUS <> 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      #39\'SZ\'#225\'MLA HIVATKOZ\'#225\'S: \'#39\'+FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSTYEAR)+FORMATS\' +RN      \'TR(\'#39\'/00000\'#39\',RETAILER.FSTORNOSZLA)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4185RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5443RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT =\n \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7584RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7584RN    POSY = 384RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLAAFA\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100)) * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION42: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7584RN    POSY = 653RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND(M.SZLANETTO,1) + ROUND(M.SZLAAFA,1)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION43: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION44: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100) )\'#13#10\'+\'#13#10\'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1\' +RN      \' - RETAILER.FTETELKEDVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100) )\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4984RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'%-OS \'#193\'FA \'#246\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPLABEL30: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL31: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL32: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL33: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5050RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9465RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN\n    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9855RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 230RN    POSY = 864RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY A \'#39\'+ STR(RETAILER.FPEL\' +RN      \'DANY) + \'#39\' \'#246\'SSZP\'#233\'LD\'#225\'NYB\'#243\'L\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1380RN    HEIGHT = 225RN    POSX = 4704RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'(RETAILER.FNYOMTATVA = 0) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EREDETI P\'#233\'LD\'#225\'NY\'RN  ENDRN  OBJECT TRPEXPRESSION48: TRPEXPRESSIONRN    WIDTH = 3105RN    HEIGHT = 225RN    POSX = 4051RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA > 0)  AND (RETAILER.FNYOMTATVA < RETAILER.F\' +RN      \'PELDANY) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39#193\'FA VISSZAIG\'#233\'NYL\'#233\'SRE NEM JOGOS\'#237\'T\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION49: TRPEXPRESSIONRN    WIDTH = 1020RN    HEIGHT = 255RN    POSX = 4755RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA >= RETAILER.FPELDANY) AND (RETAILER.FTIPUS \' +RN      \'= 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39\'M\'#225\'SOLAT\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL36: TRPLABELRN    WIDTH = 5790RN    HEIGHT = 180RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'A SZ\'#225\'MLA MEGFELEL A 2007. \'#233\'VI CXXVII. TV. 159-169.\'#167\' FORMAI K\'#246\'VET\' +RN      \'ELM\'#233\'NYINEK \'#233\'S 260-262.\'#167\' EL\'#337#237\'R\'#225\'SAINAK.\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION54: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION55: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION57: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION58: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT\n = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4020RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5985RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6735RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 1304RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (1 + RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10200RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN\n  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4005RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5985RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6735RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1644RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2265RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 285RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 285RN    POSY = 2265RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2595RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 465RN    POSX = 7080RN    POSY = 2820RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL42: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 285RN    POSY = 2715RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL43: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 285RN    POSY = 2940RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION52: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2940RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION60: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2715RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:26',''),(2,'KEREKíTéS NéLKìLI',1,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSZEV AS FYEAR,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FSTORNOKIALLDATUM,\'#13#10\'EXTRACT(YEAR FROM FSTORNOKIALLDATUM) AS\' +RN        \' FSTYEAR,\'#13#10\'TBIZONYLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10\n +RN        \'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FME\' +RN        \'GJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONO\' +RN        \'SITO AS FTETELEAZON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETE\' +RN        \'L.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZO\' +RN        \'NYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL\' +RN        \'.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZA\' +RN        \'G,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPU\' +RN        \'LES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS\' +RN        \' PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYL\' +RN        \'ATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRS\' +RN        \'Z,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13 +RN        #10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FCEGADOSZAMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLI\' +RN        \'T.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTE\' +RN        \'TEL ON  TBIZONYLATFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ\' +RN        \',\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDE\' +RN        \'R BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYL\' +RN        \'ATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 12RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION48RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION49RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL36RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN\n      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL42RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION52RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION60RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2820RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION42RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL32RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL33RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION57RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION58RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1018RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION44RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL30RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION54RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION55RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 615RN    POSX = 150RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'A SZ\'#225\'MLA V\'#233\'G\'#246\'SSZEGE:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4965RN    HEIGHT = 570RN    POSX = 5490RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN\n    HEIGHT = 240RN    POSX = 5490RN    POSY = 975RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1200RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1425RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1665RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1890RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 270RN    POSX = 300RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2340RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 900RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 690RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1380RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1605RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1830RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1875RN    POSY = 2055RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN\n    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6420RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 4290RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 225RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZMOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 555RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'00.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'00.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3345RN    HEIGHT = 570RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZTORN\'#211\'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 4905RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA-SZTORN\'#243\'ZVA\'RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 240RN    POSX = 8745RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000/\'#39\',RETAILER.FYEAR)+FORMATSTR(\'#39\'00000\'#39\',RETAILER.FSZ\' +RN      \'SZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2070RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1845RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1620RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1305RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1890RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1335RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 3315RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 225RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI\n M\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6435RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 4290RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1785RN    HEIGHT = 225RN    POSX = 8700RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'MLASZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 300RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2070RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8565RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 6225RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 4140RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3319RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2611RN    HEIGHT = 307RN    POSX = 4320RN    POSY = 780RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTIPUS <> 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      #39\'SZ\'#225\'MLA HIVATKOZ\'#225\'S: \'#39\'+FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSTYEAR)+FORMATS\' +RN      \'TR(\'#39\'/00000\'#39\',RETAILER.FSTORNOSZLA)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2340RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3855RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3405RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 4178RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5445RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FME\' +RN      \'NNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\' )\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE\n = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\' ( \'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILE\' +RN      \'R.FMENNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100))\' +RN      \' \'#13#10\' ) \'#13#10\') * (RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION42: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\' ( \'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILE\' +RN      \'R.FMENNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100))\' +RN      \' \'#13#10\' ) \'#13#10\') * (1 + RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION43: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION44: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'1+RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5010RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'%-OS \'#193\'FA \'#246\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPLABEL30: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL31: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL32: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL33: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5050RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9420RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT\n TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE) + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 230RN    POSY = 864RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY A \'#39\'+ STR(RETAILER.FPEL\' +RN      \'DANY) + \'#39\' \'#246\'SSZP\'#233\'LD\'#225\'NYB\'#243\'L\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1380RN    HEIGHT = 225RN    POSX = 4704RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'(RETAILER.FNYOMTATVA = 0) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EREDETI P\'#233\'LD\'#225\'NY\'RN  ENDRN  OBJECT TRPEXPRESSION48: TRPEXPRESSIONRN    WIDTH = 3105RN    HEIGHT = 225RN    POSX = 4051RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA > 0)  AND (RETAILER.FNYOMTATVA < RETAILER.F\' +RN      \'PELDANY) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39#193\'FA VISSZAIG\'#233\'NYL\'#233\'SRE NEM JOGOS\'#237\'T\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION49: TRPEXPRESSIONRN    WIDTH = 960RN    HEIGHT = 240RN    POSX = 4800RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA >= RETAILER.FPELDANY) AND (RETAILER.FTIPUS \' +RN      \'= 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39\'M\'#225\'SOLAT\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL36: TRPLABELRN    WIDTH = 5790RN    HEIGHT = 180RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'A SZ\'#225\'MLA MEGFELEL A 2007. \'#233\'VI CXXVII. TV. 159-169.\'#167\' FORMAI K\'#246\'VET\' +RN      \'ELM\'#233\'NYINEK \'#233\'S 260-262.\'#167\' EL\'#337#237\'R\'#225\'SAINAK.\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION54: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION55: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 210RN    POSX = 10200RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION57: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION58: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 210RN    POSX = 10200RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 2835RN    HEIGHT = 850RN    POSX = 7650RN    POSY = 195RN    DRAWSTYLE = RPDRAWSTRETCHRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'RETAILER.FSZLAEMBLEMA\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT\n = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4005RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6732RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 1644RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4020RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6735RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION\n = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 1304RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'1 + RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10200RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2295RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2520RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2295RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2520RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2565RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2790RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7065RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 465RN    POSX = 7065RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL42: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL43: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2970RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION52: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2970RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION60: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:26',''),(3,'FORDíTOTT ADãZáS - EGéSZRE KEREKíT',1,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSZEV AS FYEAR,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FSTORNOKIALLDATUM,\'#13#10\'EXTRACT(YEAR FROM FSTORNOKIALLDATUM) AS\' +RN        \' FSTYEAR,\'#13#10\'TBIZONYLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10 +RN        \'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FME\' +RN        \'GJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLAT\'\n +RN        \'FEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONO\' +RN        \'SITO AS FTETELEAZON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETE\' +RN        \'L.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZO\' +RN        \'NYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL\' +RN        \'.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZA\' +RN        \'G,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPU\' +RN        \'LES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS\' +RN        \' PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYL\' +RN        \'ATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRS\' +RN        \'Z,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13 +RN        #10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FCEGADOSZAMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLI\' +RN        \'T.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTE\' +RN        \'TEL ON  TBIZONYLATFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ\' +RN        \',\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDE\' +RN        \'R BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYL\' +RN        \'ATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 5RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION48RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION49RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL36RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN\n      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2805RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1005RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 375RN    POSX = 150RN    POSY = 285RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'A SZ\'#225\'MLA V\'#233\'G\'#246\'SSZEGE KEREK\'#237\'TVE:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4995RN    HEIGHT = 555RN    POSX = 5490RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 990RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1215RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY\n = 1440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 270RN    POSX = 300RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 900RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 690RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1380RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1590RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1815RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1890RN    POSY = 2040RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6435RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 4350RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION\n = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 225RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZMOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3345RN    HEIGHT = 570RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZTORN\'#211\'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 5010RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA-SZTORN\'#243\'ZVA\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 2835RN    HEIGHT = 850RN    POSX = 7650RN    POSY = 195RN    DRAWSTYLE = RPDRAWSTRETCHRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'RETAILER.FSZLAEMBLEMA\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 240RN    POSX = 8760RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FYEAR)+FORMATSTR(\'#39\'/00000\'#39\',RETAILER.FSZ\' +RN      \'SZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2055RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1830RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1605RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 3313RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 225RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI M\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6450RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 4350RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1620RN    HEIGHT = 225RN    POSX = 8775RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'MLASZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3:\n TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 346RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5530RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2070RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8595RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 6210RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 4140RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3317RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2611RN    HEIGHT = 307RN    POSX = 4320RN    POSY = 780RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTIPUS <> 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      #39\'SZ\'#225\'MLA HIVATKOZ\'#225\'S: \'#39\'+FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSTYEAR)+FORMATS\' +RN      \'TR(\'#39\'/00000\'#39\',RETAILER.FSTORNOSZLA)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4185RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5443RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4984RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5669RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5669RN    POSY = 360RN    TYPE1FONT = POHELVETICARN\n    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9465RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 230RN    POSY = 864RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY A \'#39\'+ STR(RETAILER.FPEL\' +RN      \'DANY) + \'#39\' \'#246\'SSZP\'#233\'LD\'#225\'NYB\'#243\'L\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1380RN    HEIGHT = 225RN    POSX = 4704RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'(RETAILER.FNYOMTATVA = 0) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EREDETI P\'#233\'LD\'#225\'NY\'RN  ENDRN  OBJECT TRPEXPRESSION48: TRPEXPRESSIONRN    WIDTH = 3105RN    HEIGHT = 225RN    POSX = 4051RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA > 0)  AND (RETAILER.FNYOMTATVA < RETAILER.F\' +RN      \'PELDANY) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39#193\'FA VISSZAIG\'#233\'NYL\'#233\'SRE NEM JOGOS\'#237\'T\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION49: TRPEXPRESSIONRN    WIDTH = 1020RN    HEIGHT = 255RN    POSX = 4755RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA >= RETAILER.FPELDANY) AND (RETAILER.FTIPUS \' +RN      \'= 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39\'M\'#225\'SOLAT\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL36: TRPLABELRN    WIDTH = 5790RN    HEIGHT = 180RN    POSX = 180RN    POSY = 150RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'A SZ\'#225\'MLA MEGFELEL A 2007. \'#233\'VI CXXVII. TV. 159-169.\'#167\' FORMAI K\'#246\'VET\' +RN      \'ELM\'#233\'NYINEK \'#233\'S 260-262.\'#167\' EL\'#337#237\'R\'#225\'SAINAK.\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 330RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN  \n  EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 2835RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 850RN    HEIGHT = 227RN    POSX = 4530RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 5475RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6236RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 7654RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 8391RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10185RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 850RN    HEIGHT = 227RN    POSX = 4530RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNYIS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 5475RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6236RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 7650RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 8391RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN\n    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2595RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 465RN    POSX = 7080RN    POSY = 2820RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #214\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 10530RN    HEIGHT = 450RN    POSX = 150RN    POSY = 465RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = RN      #39\'A TERM\'#233\'K \'#233\'RT\'#233\'KES\'#237\'T\'#233\'SE, A SZOLG\'#225\'LTAT\'#225\'S NY\'#250\'JT\'#225\'SA UT\'#225\'N A TERM\'#233\'K BE\' +RN      \'SZERZ\'#337\'JE, SZOLG\'#225\'LTAT\'#225\'S IG\'#233\'NYBE VEV\'#337\'JE AD\'#243\'FIZET\'#233\'SRE K\'#246\'TELEZETT!\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:26',''),(4,'ALAP. KP. SZáMLA - 5 FT-RA KEREKIT',1,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSZEV AS FYEAR,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FSTORNOKIALLDATUM,\'#13#10\'EXTRACT(YEAR FROM FSTORNOKIALLDATUM) AS\' +RN        \' FSTYEAR,\'#13#10\'TBIZONYLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10 +RN        \'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FME\' +RN        \'GJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONO\' +RN        \'SITO AS FTETELEAZON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETE\' +RN        \'L.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZO\' +RN        \'NYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL\' +RN        \'.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZA\' +RN        \'G,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPU\' +RN        \'LES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS\' +RN        \' PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYL\' +RN        \'ATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRS\' +RN        \'Z,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13 +RN        #10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FCEGADOSZAMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLI\' +RN        \'T.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTE\' +RN        \'TEL ON  TBIZONYLATFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ\' +RN        \',\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDE\' +RN        \'R BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYL\' +RN        \'ATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN\n      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 12RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION48RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION49RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL36RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5452RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN\n        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION57RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 3015RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION42RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL42RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL43RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL44RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION52RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION60RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION61RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL45RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION62RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION63RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION64RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION58RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION65RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1018RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION44RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL30RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION54RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION55RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4995RN    HEIGHT = 555RN    POSX = 5490RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 990RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1215RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION\n = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 255RN    POSX = 300RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 900RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 690RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1380RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1590RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1815RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1890RN    POSY = 2040RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6435RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 4350RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 225RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZMOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN\n    POSY = 1560RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 555RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'00.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'00.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3345RN    HEIGHT = 570RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZTORN\'#211\'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 5010RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA-SZTORN\'#243\'ZVA\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 2835RN    HEIGHT = 850RN    POSX = 7650RN    POSY = 195RN    DRAWSTYLE = RPDRAWSTRETCHRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'RETAILER.FSZLAEMBLEMA\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 240RN    POSX = 8760RN    POSY = 4665RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000/\'#39\',RETAILER.FYEAR)+FORMATSTR(\'#39\'00000\'#39\',RETAILER.FSZ\' +RN      \'SZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2055RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1830RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1605RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10462RN    HEIGHT = 120RN    POSX = 112RN    POSY = 3315RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 225RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI M\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6450RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 4350RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1620RN    HEIGHT = 225RN    POSX = 8775RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'MLASZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 346RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5530RN    POSY\n = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5452RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2070RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8595RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 6210RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 4140RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3317RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1125RN    POSX = 10575RN    POSY = 98RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2611RN    HEIGHT = 307RN    POSX = 4320RN    POSY = 780RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTIPUS <> 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      #39\'SZ\'#225\'MLA HIVATKOZ\'#225\'S: \'#39\'+FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSTYEAR)+FORMATS\' +RN      \'TR(\'#39\'/00000\'#39\',RETAILER.FSTORNOSZLA)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4185RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 90RN    POSX = 120RN    POSY = 5445RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION43: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION44: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100) )\'#13#10\'+\'#13#10\'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1\' +RN      \' - RETAILER.FTETELKEDVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100) )\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4984RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN \n   PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'%-OS \'#193\'FA \'#246\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPLABEL30: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL31: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9465RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10462RN    HEIGHT = 120RN    POSX = 112RN    POSY = 98RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9855RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 230RN    POSY = 864RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY A \'#39\'+ STR(RETAILER.FPEL\' +RN      \'DANY) + \'#39\' \'#246\'SSZP\'#233\'LD\'#225\'NYB\'#243\'L\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1380RN    HEIGHT = 225RN    POSX = 4704RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'(RETAILER.FNYOMTATVA = 0) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EREDETI P\'#233\'LD\'#225\'NY\'RN  ENDRN  OBJECT TRPEXPRESSION48: TRPEXPRESSIONRN    WIDTH = 3105RN    HEIGHT = 225RN    POSX = 4051RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA > 0)  AND (RETAILER.FNYOMTATVA < RETAILER.F\' +RN      \'PELDANY) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39#193\'FA VISSZAIG\'#233\'NYL\'#233\'SRE NEM JOGOS\'#237\'T\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION49: TRPEXPRESSIONRN    WIDTH = 1020RN    HEIGHT = 255RN    POSX = 4755RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA >= RETAILER.FPELDANY) AND (RETAILER.FTIPUS \' +RN      \'= 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39\'M\'#225\'SOLAT\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL36: TRPLABELRN    WIDTH = 5790RN    HEIGHT = 180RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'A SZ\'#225\'MLA MEGFELEL A 2007. \'#233\'VI CXXVII. TV. 159-169.\'#167\' FORMAI K\'#246\'VET\' +RN      \'ELM\'#233\'NYINEK \'#233\'S 260-262.\'#167\' EL\'#337#237\'R\'#225\'SAINAK.\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION54: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION55: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN  \n  VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2700RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 165RN    POSX = 7050RN    POSY = 2640RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 165RN    POSX = 135RN    POSY = 2640RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2700RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4020RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5985RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6735RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 1304RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (1 + RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10200RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN\n    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4005RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5985RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6735RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1644RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2595RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 465RN    POSX = 7080RN    POSY = 2820RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 2535RN    POSY = 60RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100))\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 5100RN    POSY = 60RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLAAFA\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100)) * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION42: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7680RN    POSY = 60RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN \n   PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND(M.SZLANETTO,1) + ROUND(M.SZLAAFA,1)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL42: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5040RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL43: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5040RN    POSY = 600RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPEXPRESSION52: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO5\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND(M.SZLANETTO, 1)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION60: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLAAFA5\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND(M.SZLAAFA, 1)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL45: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 615RN    POSX = 150RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'A SZ\'#225\'MLA V\'#233\'G\'#246\'SSZEGE 5-RE KEREK\'#237\'TVE:\'RN  ENDRN  OBJECT TRPEXPRESSION62: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION63: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 600RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL32: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION57: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL44: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5040RN    POSY = 855RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPEXPRESSION61: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 870RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND(SZLANETTO5 + SZLAAFA5, 5)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION64: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 870RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL33: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5040RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEREK\'#237\'T\'#233\'SI ELT\'#233\'R\'#233\'S:\'RN  ENDRN  OBJECT TRPEXPRESSION58: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 1140RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'(SZLANETTO5 + SZLAAFA5) - ROUND(SZLANETTO5 + SZLAAFA5, 5)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION65: TRPEXPRESSIONRN    WIDTH\n = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 1140RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:26',''),(5,'FORD. ADã. KP. SZáMLA - 5 FT-RA KEREKIT',1,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSZEV AS FYEAR,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FSTORNOKIALLDATUM,\'#13#10\'EXTRACT(YEAR FROM FSTORNOKIALLDATUM) AS\' +RN        \' FSTYEAR,\'#13#10\'TBIZONYLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10 +RN        \'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FME\' +RN        \'GJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONO\' +RN        \'SITO AS FTETELEAZON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETE\' +RN        \'L.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZO\' +RN        \'NYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL\' +RN        \'.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZA\' +RN        \'G,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPU\' +RN        \'LES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS\' +RN        \' PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYL\' +RN        \'ATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRS\' +RN        \'Z,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLA\' +RN        \'TFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13 +RN        #10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FCEGADOSZAMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLI\' +RN        \'T.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTE\' +RN        \'TEL ON  TBIZONYLATFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ\' +RN        \',\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDE\' +RN        \'R BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYL\' +RN        \'ATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 11RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION48RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION49RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL36RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN\n    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2805RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1005RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 375RN    POSX = 150RN    POSY = 285RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'A SZ\'#225\'MLA V\'#233\'G\'#246\'SSZEGE \"5-RE\" KEREK\'#237\'TVE:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4995RN    HEIGHT = 555RN    POSX = 5490RN    POSY = 375RN\n    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 990RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1215RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 255RN    POSX = 300RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 900RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 690RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1380RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1590RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1815RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1890RN    POSY = 2040RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME\n = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6435RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 4350RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 225RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZMOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3345RN    HEIGHT = 570RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 198RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZTORN\'#211\'SZ\'#193\'MLA\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 5010RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'MLA-SZTORN\'#243\'ZVA\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 2835RN    HEIGHT = 850RN    POSX = 7650RN    POSY = 195RN    DRAWSTYLE = RPDRAWSTRETCHRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'RETAILER.FSZLAEMBLEMA\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 240RN    POSX = 8760RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FYEAR)+FORMATSTR(\'#39\'/00000\'#39\',RETAILER.FSZ\' +RN      \'SZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2055RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1830RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1605RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 3313RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 225RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN\n    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI M\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 2280RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 6450RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 4350RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1620RN    HEIGHT = 225RN    POSX = 8775RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'MLASZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 346RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5530RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2070RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8595RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 6210RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 4140RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3317RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2611RN    HEIGHT = 307RN    POSX = 4320RN    POSY = 780RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTIPUS <> 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      #39\'SZ\'#225\'MLA HIVATKOZ\'#225\'S: \'#39\'+FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSTYEAR)+FORMATS\' +RN      \'TR(\'#39\'/00000\'#39\',RETAILER.FSTORNOSZLA)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4185RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5443RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN\n  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4984RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5669RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5669RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9465RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 230RN    POSY = 864RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY A \'#39\'+ STR(RETAILER.FPEL\' +RN      \'DANY) + \'#39\' \'#246\'SSZP\'#233\'LD\'#225\'NYB\'#243\'L\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1380RN    HEIGHT = 225RN    POSX = 4704RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'(RETAILER.FNYOMTATVA = 0) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EREDETI P\'#233\'LD\'#225\'NY\'RN  ENDRN  OBJECT TRPEXPRESSION48: TRPEXPRESSIONRN    WIDTH = 3105RN    HEIGHT = 225RN    POSX = 4051RN    POSY = 806RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA > 0)  AND (RETAILER.FNYOMTATVA < RETAILER.F\' +RN      \'PELDANY) AND (RETAILER.FTIPUS = 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39#193\'FA VISSZAIG\'#233\'NYL\'#233\'SRE NEM JOGOS\'#237\'T\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION49: TRPEXPRESSIONRN    WIDTH = 1020RN    HEIGHT = 255RN    POSX = 4755RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTCOLOR = 255RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = RN      \'(RETAILER.FNYOMTATVA >= RETAILER.FPELDANY) AND (RETAILER.FTIPUS \' +RN      \'= 0)\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = #39\'M\'#225\'SOLAT\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL36: TRPLABELRN    WIDTH = 5790RN    HEIGHT = 180RN    POSX = 180RN    POSY = 150RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'A SZ\'#225\'MLA MEGFELEL A 2007. \'#233\'VI CXXVII. TV. 159-169.\'#167\' FORMAI K\'#246\'VET\' +RN      \'ELM\'#233\'NYINEK \'#233\'S 260-262.\'#167\' EL\'#337#237\'R\'#225\'SAINAK.\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 330RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN  \n  DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 2835RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 850RN    HEIGHT = 227RN    POSX = 4530RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 5475RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6236RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 7654RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 8391RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10185RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 850RN    HEIGHT = 227RN    POSX = 4530RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNYIS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 5475RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6236RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 7650RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 8391RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN\n  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2505RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2280RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2595RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 465RN    POSX = 7080RN    POSY = 2820RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #214\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 10530RN    HEIGHT = 450RN    POSX = 150RN    POSY = 465RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = RN      #39\'A TERM\'#233\'K \'#233\'RT\'#233\'KES\'#237\'T\'#233\'SE, A SZOLG\'#225\'LTAT\'#225\'S NY\'#250\'JT\'#225\'SA UT\'#225\'N A TERM\'#233\'K BE\' +RN      \'SZERZ\'#337\'JE, SZOLG\'#225\'LTAT\'#225\'S IG\'#233\'NYBE VEV\'#337\'JE AD\'#243\'FIZET\'#233\'SRE K\'#246\'TELEZETT!\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 45RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    IDENTIFIER = \'SZLANETTO\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO5\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'IIF (  \'#13#10\'  MOD(ROUND(SZLANETTO,1),5) = 0, \'#13#10\'  ROUND(SZLANETTO,1)\' +RN      \', \'#13#10\'  IIF( \'#13#10\'    (MOD(ROUND(SZLANETTO,1),5) = 1) OR (MOD(ROUND(S\' +RN      \'ZLANETTO,1),5) = 2), \'#13#10\'    ROUND(SZLANETTO,1) - MOD(ROUND(SZLANE\' +RN      \'TTO,1),5), \'#13#10\'    IIF( \'#13#10\'      MOD(ROUND(SZLANETTO,1),5) = 3, \'#13#10\' \' +RN      \'     ROUND(SZLANETTO,1) + 2, \'#13#10\'      ROUND(SZLANETTO,1) + 1 \'#13#10\'  \' +RN      \'  ) \'#13#10\'  ) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2955RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2730RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:26',''),(6,'ALAPERTELMEZETT\n - EGéSZRE KEREKíT',2,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSTORNOKIALLDATUM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10\'TBIZONYLATFEJ.FFI\' +RN        \'ZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FMEGJEGYZES,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'TBIZONYLATFEJ.FREN\' +RN        \'DSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLATFEJ.FHIVATKOZAS,\'#13 +RN        #10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONOSITO AS FTETELEAZ\' +RN        \'ON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETEL.FITJSZ,\'#13#10\'TBIZON\' +RN        \'YLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZONYLATTETEL.FEGYSE\' +RN        \'G,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL.FAFA,\'#13#10\'TBIZONYLA\' +RN        \'TTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZONYLATFEJ.FVEVONE\' +RN        \'V AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZAG,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPULES AS PVAROS,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEFON AS \' +RN        \'PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBIZONYLATFEJ.FVEVOE\' +RN        \'MAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS PBANKSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYLATFEJ.FCEGNEV,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRSZ,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLATFEJ.FCEGTEL,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13#10\'TBIZONYLATFEJ.FC\' +RN        \'EGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZ\' +RN        \'AMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLIT.FSZLAEMBLEMA\'#13#10#13 +RN        #10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTETEL ON  TBIZONYLATF\' +RN        \'EJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ,\'#13#10\'TBEALLIT\'#13#10#13#10\'WHER\' +RN        \'E  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDER BY \'#13#10\'TBIZONYLATFE\' +RN        \'J.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYLATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 5RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT =\n TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2805RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION42RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL32RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL33RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION57RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION58RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1018RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION44RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL30RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION54RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION55RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 615RN    POSX = 150RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#233\'G\'#246\'SSZEG:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4995RN    HEIGHT = 555RN    POSX = 5490RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION\n = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 990RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1215RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4920RN    HEIGHT = 255RN    POSX = 300RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 885RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 675RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1110RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1365RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1575RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 1800RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1890RN    POSY = 2025RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 630RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN\n    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 5757RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 3210RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 555RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'00.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'00.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 4025RN    HEIGHT = 570RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 6293RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L - T\'#246\'R\'#246\'LVE\'RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1620RN    HEIGHT = 240RN    POSX = 8403RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSZSZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2040RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1815RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1590RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2130RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1905RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 3313RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 630RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 5757RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 3210RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN\n    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1620RN    HEIGHT = 225RN    POSX = 8403RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SORSZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 345RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'ELAD\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5530RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8014RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 5400RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2786RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3317RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2355RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1740RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4185RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5443RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLANETTO\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    IDENTIFIER = \'SZLAAFA\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100)) * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION42: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 660RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0\'RN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'ROUND( M.SZLANETTO, 1 ) + ROUND( M.SZLAAFA , 1 )\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN   \n DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDVE\' +RN      \'ZMENY / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION43: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION44: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKEDV\' +RN      \'EZMENY / 100) )\'#13#10\'+\'#13#10\'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1\' +RN      \' - RETAILER.FTETELKEDVEZMENY / 100)\'#13#10\') * (RETAILER.FAFA / 100) )\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4980RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'%-OS \'#193\'FA \'#246\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPLABEL30: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL31: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL32: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL33: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5050RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9465RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 225RN    POSY = 870RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT\n = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION54: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION55: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION57: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION58: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'ELAD\'#243RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4020RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6732RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\n (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 1304RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'RETAILER.FMENNY * RETAILER.FEGYSEGAR * (1 - RETAILER.FTETELKE\' +RN      \'DVEZMENY / 100)\'#13#10\') * (1 + RETAILER.FAFA / 100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10200RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4005RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6732RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1644RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2265RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2265RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2595RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3285RN    HEIGHT = 465RN    POSX = 7080RN    POSY = 2820RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN \n   WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2715RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2940RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2940RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2715RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:27',''),(7,'KEREKíTéS NéLKìLI',2,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FSTORNOKIALLDATUM,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FFIZDATUM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10\'TBIZONYLATFEJ.FFI\' +RN        \'ZMOD,\'#13#10\'TBIZONYLATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FMEGJEGYZES,\'#13#10\'TBIZON\' +RN        \'YLATFEJ.FNYOMTATVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'TBIZONYLATFEJ.FREN\' +RN        \'DSZAM,\'#13#10\'TBIZONYLATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLATFEJ.FHIVATKOZAS,\'#13 +RN        #10\'TBIZONYLATFEJ.FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONOSITO AS FTETELEAZ\' +RN        \'ON,\'#13#10\'TBIZONYLATTETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETEL.FITJSZ,\'#13#10\'TBIZON\' +RN        \'YLATTETEL.FNEV,\'#13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZONYLATTETEL.FEGYSE\' +RN        \'G,\'#13#10\'TBIZONYLATTETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL.FAFA,\'#13#10\'TBIZONYLA\' +RN        \'TTETEL.FKEDVEZMENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZONYLATFEJ.FVEVONE\' +RN        \'V AS PNEV,\'#13#10\'TBIZONYLATFEJ.FVEVOORSZAG AS PORSZAG,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FVEVOIRSZ AS PIRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPULES AS PVAROS,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FVEVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEFON AS \' +RN        \'PTELEFON,\'#13#10\'TBIZONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBIZONYLATFEJ.FVEVOE\' +RN        \'MAIL AS PEMAIL,\'#13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS PBANKSZLA,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVOADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYLATFEJ.FCEGNEV,\'#13#10\'T\' +RN        \'BIZONYLATFEJ.FCEGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRSZ,\'#13#10\'TBIZONYLATFEJ\' +RN        \'.FCEGTELEP,\'#13#10\'TBIZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLATFEJ.FCEGTEL,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13#10\'TBIZONYLATFEJ.FC\' +RN        \'EGBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZONYLATFEJ.FCEGADOSZ\' +RN        \'AMEU,\'#13#10\'TBIZONYLATFEJ.FCEGVALLIGSZAM,\'#13#10#13#10\'TBEALLIT.FSZLAEMBLEMA\'#13#10#13 +RN        #10#13#10\'FROM \'#13#10\'TBIZONYLATFEJ INNER JOIN TBIZONYLATTETEL ON  TBIZONYLA\' +RN        \'TFEJ.FAZONOSITO = TBIZONYLATTETEL.FBIZONYLATFEJ,\'#13#10\'TBEALLIT\'#13#10#13#10\'WH\' +RN        \'ERE  \'#13#10\'TBIZONYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDER BY \'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FSZSZAM, \'#13#10\'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYLATTETEL.FTETELKOD\' +RN        #13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 5RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION5RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION6RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 465RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION25RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION26RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION27RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION28RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION29RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION30RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION32RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION36RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN\n    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1230RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_STORNOSZAMLARN      ENDRN      ITEMRN        COMPONENT = LB_SZAMLASTORNOZVARN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION47RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 5460RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION38RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL38RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION59RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2820RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION42RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL32RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL33RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL34RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION56RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION57RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION58RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION5: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 30RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN\n    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION6: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 1018RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'AFAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION33RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION35RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION43RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION44RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL30RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL31RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION53RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION54RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION55RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FAFA\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 4725RN    HEIGHT = 615RN    POSX = 150RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#233\'G\'#246\'SSZEG:\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4965RN    HEIGHT = 570RN    POSX = 5490RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 975RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1200RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 240RN    POSX = 5490RN    POSY = 1425RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1665RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 1890RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 225RN    POSX = 7080RN    POSY = 2115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 4905RN    HEIGHT = 270RN    POSX = 300RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 3345RN    HEIGHT = 240RN    POSX = 7080RN    POSY = 2340RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 900RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 690RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 255RN    POSX = 300RN    POSY = 1125RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE\n = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTELEP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 4932RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1380RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1605RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGTEL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 1830RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 240RN    POSX = 1875RN    POSY = 2055RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 630RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 5760RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FFIZDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 1725RN    HEIGHT = 240RN    POSX = 3210RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTELJDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10455RN    HEIGHT = 810RN    POSX = 120RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 0RN    PENSTYLE = 2RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION33: TRPEXPRESSIONRN    WIDTH = 555RN    HEIGHT = 225RN    POSX = 120RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'00.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'00.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3969RN    HEIGHT = 570RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L\'RN  ENDRN  OBJECT LB_STORNOSZAMLA: TRPLABELRN    WIDTH = 4710RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 2\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L\'RN  ENDRN  OBJECT LB_SZAMLASTORNOZVA: TRPLABELRN    WIDTH = 6293RN    HEIGHT = 585RN    POSX = 225RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#193\'LL\'#205\'T\'#211\'LEV\'#201\'L - T\'#246\'R\'#246\'LVE\'RN  ENDRN  OBJECT TRPEXPRESSION38: TRPEXPRESSIONRN    WIDTH = 1785RN    HEIGHT = 240RN    POSX = 8400RN    POSY = 4680RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSZSZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2070RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1845RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 1620RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN\n  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 1305RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 1890RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 1320RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 1335RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 3315RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 630RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1965RN    HEIGHT = 225RN    POSX = 5760RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FIZET\'#233\'SI HAT\'#225\'RID\'#337RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 3210RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TELJES\'#237\'T\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1785RN    HEIGHT = 225RN    POSX = 8400RN    POSY = 4290RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SORSZ\'#225\'M\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 300RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'ELAD\'#243\':\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 795RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\':\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 5443RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 5443RN    POSX = 10575RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 115RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 8014RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 5400RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 120RN    HEIGHT = 810RN    POSX = 2786RN    POSY = 4185RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 3319RN    POSX = 5295RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 105RN    HEIGHT = 1162RN    POSX = 10575RN    POSY = 75RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2340RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3855RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 8745RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 8730RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 3405RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 4178RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4575RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 10463RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5445RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN\n  OBJECT TRPEXPRESSION34: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FME\' +RN      \'NNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\' )\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION41: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\' ( \'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILE\' +RN      \'R.FMENNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100))\' +RN      \' \'#13#10\' ) \'#13#10\') * (RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION42: TRPEXPRESSIONRN    WIDTH = 2520RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'SZAMLAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'(\'#13#10\' ( \'#13#10\'  (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILE\' +RN      \'R.FMENNY * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100))\' +RN      \' \'#13#10\' ) \'#13#10\') * (1 + RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION35: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION43: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION44: TRPEXPRESSIONRN    WIDTH = 2535RN    HEIGHT = 225RN    POSX = 7590RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AGGREGATE = RPAGGROUPRN    GROUPNAME = \'AFAGROUP\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'1+RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 5010RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 10470RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'%-OS \'#193\'FA \'#246\'SSZES\'#237\'T\'#337RN  ENDRN  OBJECT TRPLABEL30: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL31: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL32: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA:\'RN  ENDRN  OBJECT TRPLABEL33: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5055RN    POSY = 630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\':\'RN  ENDRN  OBJECT TRPLABEL34: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 5050RN    POSY = 115RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\':\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 225RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION\n = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9420RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'DESC.FSOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION47: TRPEXPRESSIONRN    WIDTH = 3149RN    HEIGHT = 250RN    POSX = 225RN    POSY = 870RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(RETAILER.FNYOMTATVA + 1) + \'#39\'. P\'#233\'LD\'#225\'NY\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPEXPRESSION53: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION54: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION55: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 210RN    POSX = 10200RN    POSY = 615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION56: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION57: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 225RN    POSX = 10200RN    POSY = 375RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION58: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 210RN    POSX = 10200RN    POSY = 645RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7605RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'ELAD\'#243RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VTSZ. / N\'#233\'V\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT\n TRPLABEL22: TRPLABELRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4005RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'RN  ENDRN  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EGYS\'#233\'G\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KEDV.\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6732RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'NETT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #193\'FA\'RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 1644RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 5100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 7RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BRUTT\'#243\' T\'#233\'TEL\'#225\'R\'RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 1350RN    HEIGHT = 227RN    POSX = 120RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FITJSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 1545RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION25: TRPEXPRESSIONRN    WIDTH = 675RN    HEIGHT = 227RN    POSX = 3300RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMENNY\'RN    DISPLAYFORMAT = \'0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION26: TRPEXPRESSIONRN    WIDTH = 615RN    HEIGHT = 227RN    POSX = 4020RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION27: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 4680RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FEGYSEGAR\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION28: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 227RN    POSX = 5988RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FTETELKEDVEZMENY<>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKEDVEZMENY\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION29: TRPEXPRESSIONRN    WIDTH = 1247RN    HEIGHT = 227RN    POSX = 6732RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\')\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION30: TRPEXPRESSIONRN    WIDTH = 720RN    HEIGHT = 227RN    POSX = 8040RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DISPLAYFORMAT = \'0.00%\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FAFA\'RN    DISPLAYFORMAT = \'0.00%\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION31: TRPEXPRESSIONRN    WIDTH = 1304RN    HEIGHT = 227RN    POSX = 8835RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDOUBLERN    DISPLAYFORMAT = \'# ### ##0.00\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'( (RETAILER.FMENNY * RETAILER.FEGYSEGAR ) - \'#13#10\'  (RETAILER.FMENNY\' +RN      \' * RETAILER.FEGYSEGAR * (RETAILER.FTETELKEDVEZMENY/100)) \'#13#10\') * (\' +RN      \'1 + RETAILER.FAFA/100)\'RN    DISPLAYFORMAT = \'# ### ##0.00\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION32: TRPEXPRESSIONRN    WIDTH = 397RN    HEIGHT = 227RN    POSX = 10200RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FVALUTA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION36: TRPEXPRESSIONRN\n    WIDTH = 10005RN    HEIGHT = 227RN    POSX = 120RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2295RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL38: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2520RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2295RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION59: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1875RN    POSY = 2520RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2565RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 5490RN    POSY = 2790RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 3330RN    HEIGHT = 225RN    POSX = 7065RN    POSY = 2580RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 465RN    POSX = 7065RN    POSY = 2805RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 225RN    POSX = 300RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'EU-S AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPLABEL35: TRPLABELRN    WIDTH = 1515RN    HEIGHT = 210RN    POSX = 300RN    POSY = 2970RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'LL.IG.SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2970RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'LENGTH(TRIM(RETAILER.FCEGVALLIGSZAM)) > 1\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGVALLIGSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 3315RN    HEIGHT = 225RN    POSX = 1890RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGADOSZAMEU\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:27',''),(8,'ALAPéRTELMEZETT - EGYSZERš',3,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FAZONOSITO,\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZO\' +RN        \'NYLATFEJ.FSZEV,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZONYLATFEJ.FKIAL\' +RN        \'LDATUM,\'#13#10\'TBIZONYLATFEJ.FSTORNOKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FFIZDAT\' +RN        \'UM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10\'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYL\' +RN        \'ATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FMEGJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTA\' +RN        \'TVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'TBIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONY\' +RN        \'LATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLATFEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.\' +RN        \'FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONOSITO AS FTETELEAZON,\'#13#10\'TBIZONYLAT\' +RN        \'TETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETEL.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\' +RN        #13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZONYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATT\' +RN        \'ETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZM\' +RN        \'ENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOORSZAG AS PORSZAG,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS P\' +RN        \'IRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPULES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FV\' +RN        \'EVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBIZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\' +RN        #13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVO\' +RN        \'ADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYLATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FC\' +RN        \'EGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRSZ,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLATFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCE\' +RN        \'GFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13#10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGADOSZAM,\'#13#10#13#10\'TBEALLIT.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TB\' +RN        \'IZONYLATFEJ INNER JOIN TBIZONYLATTETEL ON  TBIZONYLATFEJ.FAZONOS\' +RN        \'ITO = TBIZONYLATTETEL.FBIZONYLATFEJ,\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZO\' +RN        \'NYLATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDER BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM,\' +RN        \' \'#13#10\'TBIZONYLATTETEL.FAFA,\n \'#13#10\'TBIZONYLATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 1RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 285RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      END>RN    AUTOEXPAND = TRUERN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1215RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LB_SZAMLARN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 675RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10800RN    HEIGHT = 4770RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2910RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL39RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL40RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 10035RN    HEIGHT = 555RN    POSX = 210RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT\n TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 10205RN    HEIGHT = 240RN    POSX = 210RN    POSY = 960RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 10205RN    HEIGHT = 225RN    POSX = 210RN    POSY = 1185RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 10205RN    HEIGHT = 240RN    POSX = 210RN    POSY = 1410RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 10205RN    HEIGHT = 225RN    POSX = 210RN    POSY = 1650RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 8504RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 8504RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 2100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 8504RN    HEIGHT = 240RN    POSX = 1800RN    POSY = 2325RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10305RN    HEIGHT = 825RN    POSX = 210RN    POSY = 315RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT LB_SZAMLA: TRPLABELRN    WIDTH = 3969RN    HEIGHT = 570RN    POSX = 165RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MUNKALAP\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M/K\'#243\'D:\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 3075RN    HEIGHT = 240RN    POSX = 225RN    POSY = 105RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\'/MEGRENDEL\'#337\':\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2325RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3855RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3405RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE\n = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 120RN    POSY = 4140RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 375RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    AUTOEXPAND = TRUERN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9420RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    WORDWRAP = TRUERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'TRIM(DESC.FSOR)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 120RN    POSX = 115RN    POSY = 96RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 120RN    POSY = 0RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9870RN    POSY = 120RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 180RN    POSY = 180RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPLABEL40: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7575RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\'/MEGRENDEL\'#337RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 2430RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL39: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 2490RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZOLG\'#225\'LTAT\'#243RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 4200RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGNEVEZ\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 795RN    POSY = 4440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'LE\'#237\'R\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2550RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2775RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 8504RN    HEIGHT = 225RN    POSX = 1785RN    POSY = 2565RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 8504RN    HEIGHT = 465RN    POSX = 1785RN    POSY = 2790RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 6015RN    POSY = 945RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 2430RN    HEIGHT = 255RN    POSX = 7950RN    POSY = 945RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 135RN    POSX = 8595RN    POSY = 45RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 4RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN \n ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 8355RN    HEIGHT = 195RN    POSX = 180RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 5685RN    HEIGHT = 375RN    POSX = 180RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1785RN    HEIGHT = 225RN    POSX = 6015RN    POSY = 600RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SORSZ\'#225\'M\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 2445RN    HEIGHT = 315RN    POSX = 7950RN    POSY = 585RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSZEV) + \'#39\'/\'#39\' + FORMATSTR(\'#39\'00000\'#39\',RETAI\' +RN      \'LER.FSZSZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 1785RN    HEIGHT = 225RN    POSX = 6015RN    POSY = 255RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AZONOS\'#237\'T\'#243RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 2445RN    HEIGHT = 315RN    POSX = 7950RN    POSY = 240RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'FORMATSTR(\'#39\'0\'#39\',RETAILER.FAZONOSITO)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRNENDRN','2010-04-18 21:02:27',''),(9,'AUTã SZERVíZ',3,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEBACKCOLOR = 2147483647RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    ENDRN    ITEMRN      SUBREPORT = TRPSUBREPORT1RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'TBIZONYLATFEJ.FAZONOSITO,\'#13#10\'TBIZONYLATFEJ.FSZSZAM,\'#13#10\'TBIZO\' +RN        \'NYLATFEJ.FSZEV,\'#13#10\'TBIZONYLATFEJ.FSTORNOSZLA,\'#13#10\'TBIZONYLATFEJ.FKIAL\' +RN        \'LDATUM,\'#13#10\'TBIZONYLATFEJ.FSTORNOKIALLDATUM,\'#13#10\'TBIZONYLATFEJ.FFIZDAT\' +RN        \'UM,\'#13#10\'TBIZONYLATFEJ.FTELJDATUM,\'#13#10\'TBIZONYLATFEJ.FFIZMOD,\'#13#10\'TBIZONYL\' +RN        \'ATFEJ.FTIPUS,\'#13#10\'TBIZONYLATFEJ.FMEGJEGYZES,\'#13#10\'TBIZONYLATFEJ.FNYOMTA\' +RN        \'TVA,\'#13#10\'TBIZONYLATFEJ.FPELDANY,\'#13#10\'TBIZONYLATFEJ.FRENDSZAM,\'#13#10\'TBIZONY\' +RN        \'LATFEJ.FMEGRENDELES,\'#13#10\'TBIZONYLATFEJ.FHIVATKOZAS,\'#13#10\'TBIZONYLATFEJ.\' +RN        \'FVALUTA,\'#13#10\'TBIZONYLATTETEL.FAZONOSITO AS FTETELEAZON,\'#13#10\'TBIZONYLAT\' +RN        \'TETEL.FTETELKOD,\'#13#10\'TBIZONYLATTETEL.FITJSZ,\'#13#10\'TBIZONYLATTETEL.FNEV,\' +RN        #13#10\'TBIZONYLATTETEL.FMENNY,\'#13#10\'TBIZONYLATTETEL.FEGYSEG,\'#13#10\'TBIZONYLATT\' +RN        \'ETEL.FEGYSEGAR,\'#13#10\'TBIZONYLATTETEL.FAFA,\'#13#10\'TBIZONYLATTETEL.FKEDVEZM\' +RN        \'ENY AS FTETELKEDVEZMENY,\'#13#10#13#10\'TBIZONYLATFEJ.FVEVONEV AS PNEV,\'#13#10\'TBI\' +RN        \'ZONYLATFEJ.FVEVOORSZAG AS PORSZAG,\'#13#10\'TBIZONYLATFEJ.FVEVOIRSZ AS P\' +RN        \'IRSZ,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEPULES AS PVAROS,\'#13#10\'TBIZONYLATFEJ.FV\' +RN        \'EVOUTCA AS PUTCA,\'#13#10\'TBIZONYLATFEJ.FVEVOTELEFON AS PTELEFON,\'#13#10\'TBIZ\' +RN        \'ONYLATFEJ.FVEVOFAX AS PFAX,\'#13#10\'TBIZONYLATFEJ.FVEVOEMAIL AS PEMAIL,\' +RN        #13#10\'TBIZONYLATFEJ.FVEVOBANKSZLA AS PBANKSZLA,\'#13#10\'TBIZONYLATFEJ.FVEVO\' +RN        \'ADOSZAM AS PADOSZAM,\'#13#10#13#10\'TBIZONYLATFEJ.FCEGNEV,\'#13#10\'TBIZONYLATFEJ.FC\' +RN        \'EGORSZAG,\'#13#10\'TBIZONYLATFEJ.FCEGIRSZ,\'#13#10\'TBIZONYLATFEJ.FCEGTELEP,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGUTCA,\'#13#10\'TBIZONYLATFEJ.FCEGTEL,\'#13#10\'TBIZONYLATFEJ.FCE\' +RN        \'GFAX,\'#13#10\'TBIZONYLATFEJ.FCEGEMAIL,\'#13#10\'TBIZONYLATFEJ.FCEGBANKSZLA,\'#13#10\'TB\' +RN        \'IZONYLATFEJ.FCEGADOSZAM,\'#13#10\'TBIZONYLATFEJ.FSTR01,\'#13#10\'TBIZONYLATFEJ.F\' +RN        \'STR02,\'#13#10\'TBIZONYLATFEJ.FSTR03,\'#13#10\'TBIZONYLATFEJ.FSTR04,\'#13#10\'TBIZONYLAT\' +RN        \'FEJ.FSTR05,\'#13#10\'TBIZONYLATFEJ.FSTR05,\'#13#10\'TBIZONYLATFEJ.FSTR06,\'#13#10\'TBIZO\' +RN        \'NYLATFEJ.FSTR07,\'#13#10\'TBIZONYLATFEJ.FSTR08,\'#13#10\'TBIZONYLATFEJ.FSTR09,\'#13#10 +RN        \'TBIZONYLATFEJ.FSTR10,\'#13#10#13#10\'TBEALLIT.FSZLAEMBLEMA\'#13#10#13#10#13#10\'FROM \'#13#10\'TBIZO\' +RN        \'NYLATFEJ INNER JOIN TBIZONYLATTETEL ON  TBIZONYLATFEJ.FAZONOSITO\' +RN        \' = TBIZONYLATTETEL.FBIZONYLATFEJ,\'#13#10\'TBEALLIT\'#13#10#13#10\'WHERE  \'#13#10\'TBIZONYL\' +RN        \'ATFEJ.FAZONOSITO = :AZON\'#13#10#13#10\'ORDER BY \'#13#10\'TBIZONYLATFEJ.FSZSZAM, \'#13#10 +RN        \'TBIZONYLATTETEL.FAFA, \'#13#10\'TBIZONYLATTETEL.FTETELKOD\'#13#10RN    ENDRN    ITEMRN      ALIAS = \'DESC\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'  FAZONOSITO,\'#13#10\'  FBIZONYLATTETEL,\'#13#10\'  FSOR\'#13#10\'FROM TBIZTETE\' +RN        \'LMEGJEGYZ \'#13#10\'WHERE \'#13#10\' FBIZONYLATTETEL = :FTETELEAZON\'RN      DATASOURCE = \'RETAILER\'RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <RN    ITEMRN      NAME = \'AZON\'RN      ALLOWNULLS = FALSERN      VALUE = 1RN      PARAMTYPE = RPPARAMINTEGERRN      DATASETS.STRINGS = (RN        \'RETAILER\')RN      DESCRIPTION = \'\'RN      HINT = \'\'RN      SEARCH = \'\'RN      ERRORMESSAGE = \'\'RN      VALIDATION = \'\'RN    END>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 285RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION19RN      ENDRN      ITEMRN\n        COMPONENT = TRPEXPRESSION1RN      END>RN    AUTOEXPAND = TRUERN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    CHILDSUBREPORT = TRPSUBREPORT1RN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 10785RN    HEIGHT = 1260RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION12RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 2535RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION46RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL37RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPIMAGE0RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL29RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 10845RN    HEIGHT = 4770RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL12RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL14RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL20RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION37RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION39RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION40RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL28RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL41RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION50RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION51RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE2RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION13RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION14RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL15RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION15RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL16RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION16RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL17RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION17RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL18RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL19RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL21RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL22RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL23RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION23RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL25RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL26RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 960RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'SZAMLAGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION24RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.FSZSZAM\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 4535RN    HEIGHT = 555RN    POSX = 210RN    POSY = 345RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    FONTSTYLE = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 4535RN    HEIGHT = 240RN    POSX = 210RN    POSY = 960RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PORSZAG\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 4535RN    HEIGHT = 240RN    POSX = 210RN    POSY = 1185RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT\n = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PIRSZ\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 4535RN    HEIGHT = 240RN    POSX = 210RN    POSY = 1410RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PVAROS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 4535RN    HEIGHT = 225RN    POSX = 210RN    POSY = 1650RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PUTCA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 2948RN    HEIGHT = 225RN    POSX = 1800RN    POSY = 2100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PFAX\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION10: TRPEXPRESSIONRN    WIDTH = 2948RN    HEIGHT = 240RN    POSX = 1800RN    POSY = 2325RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PEMAIL\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION24: TRPEXPRESSIONRN    WIDTH = 10305RN    HEIGHT = 825RN    POSX = 210RN    POSY = 60RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 1RN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGJEGYZES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3840RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FMEGRENDELES) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGRENDEL\'#233\'S:\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FAX:\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3615RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FHIVATKOZAS) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZ\'#225\'LL\'#237\'T\'#243\' K\'#243\'DJA:\'RN  ENDRN  OBJECT TRPLABEL14: TRPLABELRN    WIDTH = 2835RN    HEIGHT = 225RN    POSX = 225RN    POSY = 3390RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'TRIM(RETAILER.FRENDSZAM) <> \'#39#39RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'RENDSZ\'#225\'M/K\'#243\'D:\'RN  ENDRN  OBJECT TRPLABEL20: TRPLABELRN    WIDTH = 3075RN    HEIGHT = 240RN    POSX = 225RN    POSY = 105RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\'/MEGRENDEL\'#337\':\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2325RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'E-MAIL:\'RN  ENDRN  OBJECT TRPEXPRESSION37: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3855RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FMEGRENDELES\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION39: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3630RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FHIVATKOZAS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION40: TRPEXPRESSIONRN    WIDTH = 5669RN    HEIGHT = 225RN    POSX = 3402RN    POSY = 3405RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FRENDSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSUBREPORT1: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION7RN      END>RN    ALIAS = \'DESC\'RN  ENDRN  OBJECT TRPSECTION7: TRPSECTIONRN    WIDTH = 10772RN    HEIGHT = 210RN    SUBREPORT = TRPSUBREPORT1RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION45RN      END>RN    AUTOEXPAND = TRUERN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPEXPRESSION45: TRPEXPRESSIONRN    WIDTH = 9420RN    HEIGHT = 210RN    POSX = 825RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    TRANSPARENT = FALSERN    WORDWRAP = TRUERN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    PRINTNULLS = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'LUXI SANS\'RN    EXPRESSION = \'TRIM(DESC.FSOR)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 10455RN    HEIGHT = 105RN    POSX = 150RN    POSY = 1980RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION46: TRPEXPRESSIONRN    WIDTH = 585RN    HEIGHT = 240RN    POSX = 9900RN  \n  POSY = 2100RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGE)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL37: TRPLABELRN    WIDTH = 5775RN    HEIGHT = 135RN    POSX = 210RN    POSY = 2160RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 6RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = RN      \'(C) K\'#233\'SZ\'#237\'TETTE PERGER ATTILA - PERGERSOFT - TEL.: (+36) 30 / 901\' +RN      \'2091 - HTTP://WWW.PERGERSOFT.HU\'RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 1260RN    HEIGHT = 227RN    POSX = 210RN    POSY = 4200RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGNEVEZ\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL28: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2550RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'BANKSZ\'#225\'MLA:\'RN  ENDRN  OBJECT TRPLABEL41: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 2775RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AD\'#243\'SZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION50: TRPEXPRESSIONRN    WIDTH = 2948RN    HEIGHT = 225RN    POSX = 1785RN    POSY = 2565RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PBANKSZLA\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION51: TRPEXPRESSIONRN    WIDTH = 2948RN    HEIGHT = 465RN    POSX = 1785RN    POSY = 2790RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 8RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PADOSZAM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION19: TRPEXPRESSIONRN    WIDTH = 1740RN    HEIGHT = 135RN    POSX = 8595RN    POSY = 45RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 4RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FTETELKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 8355RN    HEIGHT = 195RN    POSX = 180RN    POSY = 0RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 10602RN    HEIGHT = 1155RN    POSX = 75RN    POSY = 105RN    BRUSHSTYLE = 1RN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 3969RN    HEIGHT = 570RN    POSX = 165RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'RETAILER.FTIPUS = 0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MUNKALAP\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 2445RN    HEIGHT = 315RN    POSX = 8103RN    POSY = 179RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMSTRINGRN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'RETAILER.FSZSZAM>0\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = RN      \'FORMATSTR(\'#39\'0000\'#39\',RETAILER.FSZEV) + \'#39\'/\'#39\' + FORMATSTR(\'#39\'00000\'#39\',RETAI\' +RN      \'LER.FSZSZAM)\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'YYYY\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION11: TRPEXPRESSIONRN    WIDTH = 2430RN    HEIGHT = 255RN    POSX = 8118RN    POSY = 945RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    DATATYPE = RPPARAMDATERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FKIALLDATUM\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 1725RN    HEIGHT = 225RN    POSX = 6155RN    POSY = 945RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KI\'#225\'LL\'#237\'T\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1785RN    HEIGHT = 225RN    POSX = 6155RN    POSY = 194RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SORSZ\'#225\'M\'RN  ENDRN  OBJECT TRPEXPRESSION12: TRPEXPRESSIONRN    WIDTH = 5685RN    HEIGHT = 375RN    POSX = 180RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 12RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FCEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 90RN    HEIGHT = 4770RN    POSX = 75RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 4770RN    POSX = 10676RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 10602RN    HEIGHT = 120RN    POSX = 75RN    POSY = 4140RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 10602RN    HEIGHT = 120RN    POSX = 75RN    POSY = 4755RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL13: TRPLABELRN    WIDTH = 1531RN    HEIGHT = 225RN    POSX = 210RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN\n    LFONTNAME = \'SANS\'RN    WIDETEXT = \'TEL.:\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 2948RN    HEIGHT = 195RN    POSX = 1800RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.PTELEFON\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION13: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR08\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'ALV\'#225\'ZSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION14: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 1020RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR09\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL15: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 1245RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MOTORSZ\'#225\'M:\'RN  ENDRN  OBJECT TRPEXPRESSION15: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 1245RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR10\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL16: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 1470RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'FORGALMI ENG.:\'RN  ENDRN  OBJECT TRPEXPRESSION16: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 1470RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'IIF(UPPERCASE(RETAILER.FSTR01)==\'#39\'TRUE\'#39\', \'#39\'VAN\'#39\', \'#39\'NINCS\'#39\')\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL17: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'SZERV\'#237\'ZK\'#246\'NYV:\'RN  ENDRN  OBJECT TRPEXPRESSION17: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 1680RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'IIF(UPPERCASE(RETAILER.FSTR02)==\'#39\'TRUE\'#39\', \'#39\'VAN\'#39\', \'#39\'NINCS\'#39\')\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL18: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 810RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'AUT\'#243\' T\'#237\'PUSA:\'RN  ENDRN  OBJECT TRPEXPRESSION18: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR03\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL19: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 2085RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'H\'#369\'T\'#337\'FOLYAD\'#233\'K:\'RN  ENDRN  OBJECT TRPEXPRESSION20: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 2085RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR04\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL21: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 2310RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'KM \'#243\'RA \'#225\'LL\'#225\'SA:\'RN  ENDRN  OBJECT TRPEXPRESSION21: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 2310RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR05\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL22: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 2535RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'V\'#225\'RHAT\'#243\' K\'#246\'LTS\'#233\'G:\'RN  ENDRN  OBJECT TRPEXPRESSION22: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 2535RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR06\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN\n  OBJECT TRPLABEL23: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'JAV\'#237\'T\'#225\'S V\'#225\'RH. BEF.:\'RN  ENDRN  OBJECT TRPEXPRESSION23: TRPEXPRESSIONRN    WIDTH = 3855RN    HEIGHT = 195RN    POSX = 6765RN    POSY = 2745RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'RETAILER.FSTR07\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL24: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 225RN    POSX = 5010RN    POSY = 1875RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = #220\'ZEMA. MENNY.:\'RN  ENDRN  OBJECT TRPLABEL25: TRPLABELRN    WIDTH = 4620RN    HEIGHT = 315RN    POSX = 4995RN    POSY = 360RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'SZERV\'#237\'Z \'#233\'S AUT\'#243\' ADATOK\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 2940RN    POSX = 4860RN    POSY = 345RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 795RN    POSY = 4440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'LE\'#237\'R\'#225\'S\'RN  ENDRN  OBJECT TRPLABEL26: TRPLABELRN    WIDTH = 1701RN    HEIGHT = 227RN    POSX = 8745RN    POSY = 4440RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    FONTSTYLE = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'MEGJEGYZ\'#233\'S\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 690RN    POSY = 1410RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'M\'#369\'VEZET\'#337RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 2415RN    HEIGHT = 225RN    POSX = 7575RN    POSY = 1410RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'VEV\'#337\'/MEGRENDEL\'#337RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 7050RN    POSY = 1350RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPIMAGE0: TRPIMAGERN    WIDTH = 1701RN    HEIGHT = 1644RN    POSX = 4545RN    POSY = 90RN    DRAWSTYLE = RPDRAWSTRETCHRN    CACHEDIMAGE = RPCACHEDFIXEDRN    PRINTCONDITION = \'FALSE\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    EXPRESSION = \'\'RN    STREAM = {RN      1A85000000000000424D1A8500000000000036000000280000006C0000006900RN      00000100180000000000E484000000000000000000000000000000000000FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFCF9F9F3E4F7EBD1RN      F3E4C1F0DDB1EED7A5EFD49DEFD49BEFD59CEED7A3F0DDAFF4E3BFF7EACFF9F1RN      E1FCFBF6FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF2E7C8EED5A0RN      EFD6A3EFD7A3EFD6A3EFD6A3EFD6A3EFD6A3EFD6A2EFD6A3EFD6A3EFD7A3EFD6RN      A2EFD6A3EFD6A3EFD7A3EFD6A2EFD6A3EFD6A3EFD7A3EFD6A2EFD6A3EFD6A3EFRN      D6A3EFD7A3EFD6A3EFD7A3EED399F0E0BCFDFEFDFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFCFEFBF7EFD7F0DCADE9C67CE4B251E1A733DE9ERN\n      1DDC950BDA9000D98B00D98900D98900DA8C00DA8D00D98A00D98A00DA8F00DBRN      960ADE9C1AE1A42FE2B14EE8C377F0D9A8F7ECD2FCFCF7FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF1E0B4DB98RN      0FDA8C00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DARN      8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00DA8D00RN      DA8D00DA8D00DA8D00DA8D00D98900DA9711F1E2BEFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFBF8EFF3E1B8E8C375E1A93ADC9911DA8F00DA8900DA8900DBRN      8E00DB8E00DB8E00DD9508DF9D1CE1A126E4A937E09B17DD8F00E1A023E0A126RN      DC8F00DD9000DA8A00D98900DA8800DB8D00DA8E00DC970CE0A733E7BE6CF2DCRN      B0F9F4E8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFF0E0B6DBRN      9810DC9000DE9302DD9202DD9302DD9302DD9302DD9302DD9302DD9302DD9302RN      DD9302DD9302DD9302DD9302DD9302DD9302DD9302DD9302DD9302DD9302DD92RN      02DD9302DD9302DD9302DC9302DC8E00DD9D1CF4E8C7FFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFCFEFDF3E5C2E8C06FDFA229DA8E00D98700DB8C00DD9100DC9201E0A329RN      DE9E1BDC8F01E4B14DEACA81DD9D1FF6EFDAF5EBD2F1E1BAE3B046E2AA3DF4E9RN      CCF5E7C9E3B048DB9002E9C475F1DFB1E2AE43DC9100DD9302DC8E00DA8A00DBRN      8D00DA8F00DE9E21E6BB64F1DFB8FCFCF7FFFFFFFFFFFFFFFFFFFFFFFFF0E0BARN      DB9911DC8F00DD9303DD9303DC9303DD9303DD9303DD9303DD9303DD9303DD93RN      03DD9403DD9303DD9203DD9303DD9303DD9303DD9403DD9303DD9403DD9403DDRN      9303DD9303DD9403DD9303DD9303DC8F00DD9C1CF4E8C7FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FBF8EFEED59DE2AC3FDB9202DA8C00DB8D00DC970CE4AE41DC9810DC9100DB8FRN      00EED298EACA85DC8E00DFA128E2AD3EDB9001EBC982F7F2E0DEA938D98C00EFRN      DAACE8C57AE8C070EEDAA7E0AB41F5EDD6E8C57BF2E6C5DD960CDC9001E2AA3DRN      E9C170DC9100DD9201DC8F00DB8C00DB9000E1A736ECCF91F9F4E7FFFFFFF1E0RN      BCDB9714DC9000DD9303DD9203DD9303DD9303DD9303DD9303DD9303DD9303DDRN      9303DD9303DC9303DD9303DD9303DD9303DD9303DD9303DE9303DD9303DD9303RN      DD9303DD9303DD9303DD9303DD9303DB8F00DE9B19F4E6C5FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBF8RN      EFEDCF90DFA42BDA8D00DA8900DA8D00DB8D00DD960DEFD8A3F4EACDEEDCAFDCRN      950CDC8E00E8BD6AF1DFB4DC9000DC9100DD9406DD9405D98A00E9BF6FF3E8C9RN      DC9F23F4E6C4E2B14DE6B75AF1DFB5EACB89ECD093DD9E1FF5ECD1DE9B17DB8DRN      00EED196EDD39ADB8F00DD9203DD9303DD9303DD9101DC8D00DA8D00DFA024E8RN      BF6EDD9A19DC8F00DD9303DE9303DD9303DE9403DD9303DD9303DD9303DD9303RN      DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD93RN      03DD9303DD9303DD9303DD9303DD9303DC8F00DE9A18F5E4C4FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFDFAEDRN      D49EDFA32CDA8D00DC8E00DC9101E6B95DF1E1B9E6B858E0A329F5ECD2DC9E22RN      F5EACFE5BA5DDA8C00E0A634F3E8C9DC960BDD970FEDD6A1DEA42DE2A835D98ERN      00EDD4A1EACC8AF4E3BDE2B04CE9C377EDD59FF2DAA9E6BB63E3AE42F6EBCEDARN      960CDB9102F4E6C6E3B34EDB9000DD9303DD9303DD9303DD9203DC9303DD9202RN      DC8E00DB8C00DC9100DD9303DC9303DD9203DD9303DE9303DC9303DD9303DC93RN      03DC9303DC9303DD9303DD9303DD9303DD9303DD9303DC9303DC9303DC9403DCRN      9303DD9303DD9303DD9303DD9303DD9303DC8F00DE9A17F5E4C0FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3E5C3RN      E2AE44DB8E00DA8A00DA8E00DB8C00E0A123F4E9CEE7C070F8F2DFE4B456F6EARN      D0DFA32BEAC378F0D9A6E0A634F0DCADF6F3E2DFA42ADC9203E2A630DC960EF0RN      DAA7F1E0B8F3E9CBE5B95EE9C172F3E5C5F5ECD2E2B148EDCE8FECD59CF0DBADRN      ECCC87E3B553EBD49AF5E9CEDE9E1DDD9200DD9203DD9303DD9303DD9303DD93RN      03DD9303DC9203DC9203DD9203DD9303DC9303DD9303DD9303DD9303DC9203DDRN      9303DD9203DD9303DC9303DD9303DC9303DD9303DC9203DC9303DD9403DD9303RN      DD9303DD9403DD9403DE9403DD9303DD9303DB8F00DD9A16F3E4BFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCF9F2E8C5RN      7ADC940ADB8C00DC9100E6B85AF2DFB3E8C575DFA023F5ECD3DD9B19ECC881F0RN      DDB0EFD9A9EBCB87E2AE48F5E8C7DC9611E7BF6DF7F0DCE1AE45DC9000DD8F00RN      DD9000DE9A15E6B95FE3B048DB9202DC9407E5B758E4B049DB9100DD9E21EED7RN      A2EFD59FDD9914E09D1DF8F1DFF3E4BFDB9000DD9303DD9303DD9303DD9303DDRN      9303DC9403DD9303DC9303DC9203DD9203DC9303DC9303DD9303DC9303DD9303RN      DC9303DC9203DD9203DC9303DC9303DD9303DC9303DD9303DC9303DC9203DD93RN      03DD9303DC9303DE9303DC9303DD9303DD9303DC8F00DD9913F4E3BDFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4E8C9E1RN      A93ADA8D00DD9100DC9100E0A227F4EAD0E5B962F7F4E4E9C57CEFD7A5EDD090RN      DD9A19F5E9CFE3B352F5EACDF4E7C9E8C474DC8F00DB8C00DE9E1CDD9913DD92RN      02DD9303DD9303DC9000DB8C00DB8D00DD9200DE9100DB8D00DB8E00DD9201DCRN      9000DB8D00DB8E00DD9100DC8F00E4B14DE5B95ADD9000DD9303DD9203DD9303RN      DD9303DD9303DD9303DD9303DD9203DD9303DD9303DD9303DD9303DE9303DD93RN      03DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9203DD9203DD9303DDRN      9303DD9303DD9303DD9303DD9303DD9203DD9303DC8F00DD9812F4E1BAFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFEDD49BRN      DC9811DB8C00DD9000DD9301DD9202DE9A14E0AD44EAC883EEDCB0F8F4E4E3B5RN      57F7EFD8ECD092F3E5C3DD9912E0A023E3AB3DDB9202DD9302DD9302DC8E00DCRN      8E00DB8D00DA8D00DA8D00DA8D00DB8D00D98D00D98D00D98D00DA8D00DB8E00RN      DB8D00DA8D00DB8D00DB8F00DC9100DD9202DB9000DB9000DD9303DD9203DD93RN      03DD9303DD9303DD9203DD9203DD9203DD9303DD9203DD9203DD9303DD9303DERN      9203DD9203DE9303DD9303DD9203DD9203DD9303DD9303DD9203DD9203DE9303RN      DD9303DD9203DD9303DD9303DD9303DD9303DD9303DB9000DD9611F3DFB8FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFCF9E6C3RN      72DB8F00DB8B00DC9407DE9C17DB8F00DC9100DC9000E0A329F5ECD2D99308F2RN      E1B9E7BC65E2A93AEDCF90E1AA39DC9000DB9000DB8E00DC8F00DB8D00DB8D00RN      DB9202DE9F1FE2AB3CE6B85BE9C477EDCF90F0D6A1F2DAA9F2DCADF1DBAAF0D7RN      A2EDD093EAC67CE7BA5FE3AC40DFA023DB9304DA8D00DA8C00DC8F00DD9201DDRN      9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303RN      DD9303DD9303DD9303DE9303DD9303DD9303DD9303DD9303DD9303DD9303DD93RN      03DD9303DD9303DD9303DD9303DD9303DD9303DD9303DC9000DC9510F2DDB8FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBF9EFE3RN      B553DB8E00DB8F00E4AD41F3E4C0F5ECD4EFD59EDC970EDC9000DD9710F2E1BCRN      F0D7A5F4E7C6E2AE40DB8C00DB8D00DC8E00DC9100DA8D00DB8D00DE9B1AE4B3RN      4EEDCE8CF4E4C2F9F3E5FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F5E9F4E7C6EED195E5B657DDA021RN      DA8F00DB8D00DD9000DD9202DD9303DD9203DD9303DD9203DD9203DD9303DD93RN      03DD9203DD9303DE9303DD9303DE9303DD9303DD9303DD9303DD9203DD9403DDRN      9303DD9303DE9303DD9303DD9303DD9303DD9303DD9303DC9000DC960EF1DDB5RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F5E6RN      E1AD42DB8D00DC9000E0A228F6ECD3E5BA63E2AB40F5EBD1EED5A0DB9203DC90RN      00DE9D1FE9C578E2AE45DB9100DD9302DB9000DB8C00DC960DE4B34FF0D5A2F8RN      F1E2FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFF9F5E8F0DCADE5B85ADD9A13DB8D00DB8F00DD9302DC9303DC9303DC9303DCRN      9303DC9303DC9303DC9303DD9303DC9303DC9303DC9303DC9303DC9303DD9303RN      DC9303DD9303DC9303DD9303DD9303DC9303DC9303DC9303DC9000DC950DF1DCRN      B1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAF3RN      E6E1AA3BD98C00DB8D00D98A00E5BB62F4E7C7D78800DB8C00DEA22BF7F1E0E1RN      A42EDC9100DC9000DB8D00DB8E00DC9000DA8D00DD9C19E9C273F6EBD1FEFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFEFFFFF6EFD9EAC981DEA024DA8D00DB8F00DC9303RN\n      DC9303DC9303DC9303DC9303DC9303DC9303DC9303DC9303DC9303DC9303DC93RN      03DC9303DC9200DC9303DC9303DC9303DC9303DC9303DC9303DB9000DB960CF0RN      DCB0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFARN      F6EBE2AA3FDB8C00DB9201E5B451E3AF46E1A93DF8F4E6DFA732D98A00DC9914RN      F5EDD6E1A630DC9100DC9303DC9200DB8C00DD9813E9C478F8F1E0FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAF5EAEBCB88DE9DRN      1DDB8C00DD9100DD9303DC9303DD9303DC9303DD9303DC9303DD9303DC9303DCRN      9303DD9303DC8F00DD9205DD9203DC9203DD9303DC9303DC9303DC9000DB950BRN      F1DCADFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FBFBF5E3B14CDA8D00DC9204ECCD89F5EBD1F7F3E0E7BC66ECC983F7F3E1EAC8RN      82F2E1BBECD194DC9204DD9202DC8F00DB9100E5B85AF7ECD4FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF8F2E1E7BF6BDC9306DC8E00DE9303DD9303DD9303DD9303DD9303DD9303RN      DD9303DD9302DC8C00E2AC3FF0DAAADC9409DC9000DE9303DE9303DD9000DB94RN      0BEFDAABFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFEFFFEE6BC63DA8D00DC8F00E1AD43F6EFD9DA940BEFD7A4EED298DC9815E8RN      BE6EF1DBAAE8C271DC9307DD9000DA8D00DEA022EFD9A7FEFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFEFFFFF2E1B9E0A632DB8D00DD9200DC9303DD9303DD93RN      03DC9303DD9201DA8D00E5B451F6EDD4E7C271E3AF46DF9E1EDD9101DC9202DCRN      9915EFDAAAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFERN      FFFFFFFFFFEACC89DA8E00DD9202DA8F00E2AC43F3E3BEDFA32CF8EFD8E2B14BRN      F0DFB4DE9E1EDA8B00DC8E00DC9000DB8E00E4B453F9F2E0FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFBF8EDE6BE67DB9000DC9000DERN      9303DD9303DE9302DD9306E8BD68F6F1E2ECD6A2F0D9A7FDFFFEE4B656DB8C00RN      DD9000E3B34DFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF1E0B7DB9307DC8F00E1AA3BF1E0B6DFA42BDD9918E9C477F3E6RN      C3E2AD44F6ECD5DE9E1DDD9100DC9000DB9102EBC880FDFDFCFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFEDD296RN      DB9509DD8F00DD9303DD9000E3AE43FEFFFFF9F6EEEED8A5F0E1BDF1DDB2E3B5RN      57E9C77CDC9101DD9307EED49DFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFF8F3E3DE9F24DC8F00DC9203DD9A16EFD9A8F7F0DCE1A431E0RN      A532F4EAD3F3E9CAE4B452DC8F00DC9000DC950AEDD49EFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBFBF5F9F5E7F8F1DEF7EFDCF9RN      F1DFFAF4E8FCFBF6FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFF1DEB3DD9B17DB8E00DC9302DD9711ECC982E5B453DEA128F1E0B9E9RN      CD8EF6EED9E4B859DC9202DC9000DC9812F6EAD1FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFEFFFFE4B85BDB8E00DC9000DD9302DC9100DB9000EAC781RN      FAF6EBE5B75ADEA026DEA022DA8F00DC9000DD9610F2DEB2FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFCFCF8F5E9CBEED499E6BD69E3AE43DFA52FDFA021DF9C18RN      DD9B16DE9C19DF9F22E0A530E3AF47E7BF6DEED69FF6EBD1FDFDFBFFFFFFFFFFRN      FFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFF5E7C6DD9E1FDC8E00DD9201DB8D00DA8F00F0DDAFRN      F8F5EAF5EBD3E3B252DE9D1CDC9000DC9303DB8E00E2AA3EFBFCF6FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFEFD9A6DB9100DC9202DF9D1ADB9000DC8F00DD91RN      00DA8D00E7BA61F5EED7DD9E20DC8D00DC9000DC960EF2DEB4FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFDFFFFF5E7C9E9C679E0A634DB9407DA8D00DB8D00DB8D00DC8E00DC8FRN      00DC9000DB9000DC9000DB8F00DB8E00DB8C00DA8D00DA8D00DC960BE2A839EARN      C880F5EACEFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4E9C9DE9C1CDC8F00DC9200DE9ARN      14F5ECD1F6ECD1E0A22ADE9E1FF6F0DAE0A835DA8A00DB8F00DA8E00EBCA88FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFAF5E9DEA024DD8F00DD9A16F4EACEEED49CDERN      9F22DB8C00DD9100DB8E00DE9D1DDD9509DC9100DA9205F0D9A9FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFRN      FFFDFEFEF1DDB2E3B14BDB9307DA8C00DB8E00DC9100DD9302DD9303DD9303DDRN      9303DD9303DD9303DC9303DD9303DC9303DD9303DD9303DD9303DD9302DC9100RN      DB8E00DA8C00DB960CE4B454F2E1BBFEFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3E5C2DC9812DDRN      9000DC9100DEA024DD9D1CDC8E00DC9101E8BF6DE4BC65E5AF47E1A630DC8F00RN      DD9712F7ECD7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFE8C374DB8D00DD8F00DB9000F3E1B9RN      FAFCFAF5ECD2E8C374DD950CDD9201DC9000DD9101DB8F00EBCF90FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF3E5C2E4AF4ADB9000DB8D00DC9100DC9303DC9303DD9303DC9303DD9303RN      DD9303DD9302DD9302DD9303DC9303DD9303DC9303DD9303DD9303DD9303DD93RN      03DD9303DC9303DD9302DC9100DB8C00DC9203E4B454F4E9CDFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      EFDBAADC9305DD9200DC9000DC8F00DD9303DB8F00E4B451F4EBCFF4E9CCF4E6RN      C5E2AB3CDA8C00E5B658FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7ECD5DC970FDC9000E1A632DFA0RN      23E0A531F4E9CEE2B65AF4E6C5EFDAAADC950ADD9201DA8D00E8BD66FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FBFAF2E8C377DB9407D98700DB8D00DD9302DD9303DB8E00DA8D00DC8F00DC93RN      03DD9201DB8E00DA8D00DA8E00DB8C00DC9000DD9303DC9201DB8D00DB8E00DDRN      9302DD9303DC8F00DA8D00DD9100DB9000DA8D00DA8B00D98600DA9000EBC57ERN      FDFCF7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFEACA85DB8F00DC9302DC9303DB9100E8BC66F7F0DAE5BA61D9RN      930BF1DDB4E8C371DB8E00DB9204F3E1BBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFE6BA61DC8E00DA8B00E7RN      BF6AF7F1DDE7C171F0DEB5E8C171DA9104E3AD40DC9305DC8F00E1A735FCF8F0RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFF6EAD0E0AA3BDE8E00E59A09E7B95DE5B655DD9607E09300E2AE41E8BE68E2RN      AC3EDC9100DC9000E3AF44EFCF8BF5D99EE9C373DE9E1EDE9100E69D0EE7BA5DRN      E4B657DD9609E59600E6AD3AE8BE68E8AA2DE5AA34E8BE67E9BE67EABF67E5B2RN      4CDB950DE1AB3FF8F0DCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFDFEFDE4B350DB8E00DC9303DA9001F3E5C1E5BC69RN      DFA531F3E2BAF3E6C3DD9A17DC9408DC8E00E3AD43FEFEFCFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5EBD0DC960CDC8F00RN      E1AB3CDD9D1EE2AA3DF2E2BBF9F7EFF9F8EDDE9E1EDA8D00DD9200DC960DF5E8RN      C8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF1DEB3DD9B1ADD8E00CD8701BD8A27F7F7F5F8F2DFD9940AC78F22FAF5E9RN      FFFFFFF3D89FDD9000E8C57DFFFFFFFCFFFFEFF4FBFFFFFFF7F0DBCD9932BB87RN      22F8F8F6F7F3E5D99814B77901E4D2ADFFFFFFC59D4DD9C08DFFFFFFFFFFFFFFRN      FFFFFFFFFFF8F0DADFA735DE9C20F4E5C1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8F1DEDD9C1BDC9100DC9101E6B9RN      5DF3E6C7F3E9CCECCD8EDB9610E3AD41F0DAAADC9303DB9101F2E0B6FFFFFFFFRN\n      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE7BD68DB8DRN      00DC960CF3E7C7E2A836DD9711DE9D1FE7BA63F7EDD6E2AF43DC9000DB8E00EARN      C77EFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFEED9A5DA9409DD8F00E396028E610B31343AE8E9EEFFF3D49C6E10A6A5RN      A4FFFFFFFFFFFFE4CC95987735F7FAFCE4E7ED4D535D2E3136999993FFFFFFBCRN      BDBD383839E8EAEDFBF1D8C2840A231B0BBEBFC4FFFFFF494A4A929292FFFFFFRN      8F949B42464D979999FDFFFFF6EACEDC9205DC9712F1DFB7FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEDD49CDA9000DDRN      9202DB9000E0A125E2AD41DD9B18DA8D00F1DFB7FCFFFFE1AD41DB8C00E3B049RN      FEFEFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8F1DFDDRN      9A14DC8E00E5B34FF0DBA9DA8D00F1DDAFE2AD43E3AD44E1B14DDD9307DC9000RN      E0A32DFBF9F0FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFEFDAAADB9308DC9000DD9304E397028B5F0B2A2F3AEAEAEEE9E0CB70RN      674EF4F6FBE8E9EAFFFFFFA6A49C75787CFFFFFFDAC4928154001E181024282BRN      E7E8E7EBEEF04F5358E3E4E6FFFBEFE5CD9AAFAFADF4F5F7EEE9DB3232308F91RN      96FFFFFFA1916E191205171B21D7D9DAFFFFFBE2A731DB8C00DB9710F2E1BBFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFEFCRN      E3AE46DB8F00DC9201DA8F00F1DFB3E3B34EE0A229F3E6C7E8C882F0DDB1DB91RN      04DC9407F5E8C9FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      EBCC8ADA8E00DC9103F3E1B9ECD092E1AA3BF1E0B9DC9913F3E7C6E0AA39DB8FRN      00DA9001F0DAA8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFF3E3BFDC960FDC9000DD9303DC9303E297028D600B2D3139ECECEDRN      CFD0D1B8BBBDFDFDFD86888BFFFFFF989B9E8A8C8FFFFFFFEBC572ED9900855CRN      0F191C25D6D6D6F8F9F95D5F62E2E3E3FBFCFDE5E8EFF1F1F1FFFFFFE4D6B32ERN      271A929398FFFFFFF3C76A9664070E121AC5C6C7FFFFFFE2AC3DDD9000DD8F00RN      DD9B19F6EAD0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFF3E6C3DC9408DC9201DC9205F2E0B7E7C06DF0DDB1EBCA85DB9102E3RN      B24DDC9406DB8E00E8BE6AFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFBFBF6DFA634DC9000DC9406E9C378F6EBD0F9F9F2F1E2BCE7BF6CF1DFB3DARN      9102DB9000E1AA3EFDFDFAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF8F1E0DE9F23DC8F00DC9303DC9303DC9303E296028D600B2D31RN      3AE8E7E9F8F9F9FEFFFFA6A8A9505155FFFFFF9B9C9E717376FFFFFFEED49CE0RN      8F00A066002B2E34ECEDEDE9E9EB4D4F52E8E9E9DFDFDF2E2E3023211EBFB8A5RN      FEFFFF6061658F9092FFFFFFECC063AE6E00242528DDDEE2FEFEF8E1A42DDC90RN      00DD9303DB8E00E0A532F9F6EBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFEFFFFE5B859DC8E00DC9100E2AC3EF5E8C9EFDAA9DB960CRN      E9C476E4B34CDC8E00DD9100DE9E1EFAF5E9FFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFF3E6C4DB9304DD9201DD9202DC8D00DD9913E6B95DF1DEB3FAF9F2RN      E4B757DB8F00DB9001F1DCACFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFDFEFCE4B24EDB8D00DD9304DC9303DC9303DC9303E296028CRN      600B2E3139E8E7E9FFFFFFFFFCF05A4E34535559FFFFFF9C9EA2323338F2F2F2RN      FFFFF8EBC16AB58F43ACAFB2FFFFFFB0B0AB303236EAEBEDF5F2E79A88605C5DRN      5CC7C8C6FFFFFF6D6F758F9092FFFFFFF3DBA6CEAB66B8B9B8FFFFFFF2E3BDDCRN      9408DC9302DC9303DC9303DC8D00E6BB63FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5E7C8DC9508DD9302DB8F00DD9406D98ARN      00E5B553F4EBD2F0DDB1DC9712DE9508DB8F00F0D9A6FFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFE9C477DC8F00DD9101DB9000DE9303DD9000DC8D00DA90RN      00E1A630DE970CDE9000E0A632FCFAF5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFEFFFFFFFFFFEDD297DB8E00DE9302DD9303DE9303DE9303DD9303RN      E496028D600B2E323BECEDEFFFFFFFEFCD83513605575B62FFFFFFA1A5A90408RN      126F6F6CEEEFF0FFFFFFFFFFFFFFFFFFF5E3BE8868272D3038EDEEEEFFFFFFFFRN      FFFFFFFFFFFDFFFFEADDC439353094979AFFFFFFFFFFFFFFFFFFFDFFFFEDE2C4RN      E1A52CDD9000DD9304DE9303DE9203DE9202DC9000F0DBACFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFEE3B24DDD9000DE9303DDRN      8F00E0A42AF2E5C4E7C375F9F5E8F5EBD1E0A632DC8D00E5B556FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFCFBF6E1A732DC8E00E2A631E9C779DB9101DD9200DCRN      8D00DB8D00DD8E00DD9100DC8F00EECE8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFF8F2E2DD9C1ADD9100DE9303DE9303DE9303DE93RN      03DE9303E497028C600F0D1628494C53C29849E59C0D503A13182031C09A4CCERN      972E3C2F18040B172D333E61677371778296805ADF980B895D080F1829424953RN      484F5B484F5B474E59816C45CD8D102A24162A313F4A505C484E594A4F5A7665RN      46D18E0CDD9000DE9304DE9303DE9403DE9303DD9304DD9000DFA229FAF7EEFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0DCADDD9101RN      DF9202DD950AF3E5C4F9FAF4F3E1BDF4E5C6E9C77EDC9000DD9100DF9D1EF9F4RN      E7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFF5EACEDB950ADB8F00EAC476EDD193DA8900RN      DB9102E5B34EE9C375DE9811DC9100DD9914F7F0DDFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFE8C172DB8E00DC9303DD9303DD9303DDRN      9303DD9303DC9303E09503B77C0A755311825704D48800E093009D6C0E75510FRN      C17D00E49500CC8907805A11513A0E503808805502C98100E19400B67C0A7855RN      10704C066E4A05724C048A5C01C88200D88E008C6210734F0B6E4A05704C058BRN      5D00C68200E09200DC9303DD9303DC9303DD9303DC9303DC9303DC9303DA8E00RN      ECCB88FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBF9RN      F0DEA226DD9000DD960BE7C16FE1A93CDC9308DB9408E1B149E1A937DC9100DBRN      9000F2DFB5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEDD297DB8F00DB9000F1D9A9E2B5RN      56E5B555F4E4C1F9F6EBF7F0DBDC970FDD8F00E4B24FFEFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFEFFFEFFFFFFF7F0DBDC9913DD9100DC9303DD9303RN      DC9303DD9303DD9303DC9303DC9303E19602E89A02E69901DE9403DC9303E498RN      02E89B01DF9403DC9203E29702E89A02E69903E69902E79A01E09602DC9303E1RN      9602E89A02E79A02E79A02E89A01E89A02E19603DD9303E69801E79A01E89902RN      E89902E79902E19502DC9303DC9303DD9203DC9303DD9303DC9203DC9303DC93RN      03DC9100DE9F20F9F6EAFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFE7BF6CDC8F00DD9201DB8E00E5B759E0A022DA8900E5B350F5EBCFRN      E0A52EDB8D00EAC375FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE4B95BDC8F00DE9A16F8RN      F1E0F7F2E1F4ECD4E8C377E7C274EDD6A0DB8F00DC8F00EED49AFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE9C578DA8B00DD9000DC90RN      00DC9000DC9000DC9000DC9000DC9303DC9403DD9403DD9303DD9303DC9303DCRN      9303DD9302DD9100DB8E00DB8D00DA8D00DC8D00DC8F00DD9100DD9302DC9403RN      DC9303DD9303DD9303DD9303DD9403DD9303DD9303DD9303DD9201DD9000DC90RN      00DD9000DC9000DC9000DC9000DC9000DD9303DD9303DC9303DD9403DC9203DCRN      9303DC9303DC9303DA8E00ECD095FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFF3E1B9DB9202DC9100E0A429F4E9CBDEA42EEBCB88DB96RN      10F1DEB2E7BA60DB8D00E1AB3FFDFEFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFBF5E0A631DC8F00RN      DE9A14EBC984E6BA61DC960ED98700EFD49AE6BD69DC8F00DC970EF7ECD4FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBF8EFE0A734DD9A15DERN      9C18DE9C17DE9C18DE9C18DF9C19DD9810DD9303DD9303DD9303DD9303DD9303RN      DD9202DB8E00DA8D00DC9811E0A52FE3AC3FE2AE45E3AB3EDFA52CDD960DDA8DRN      00DB8F00DD9302DD9303DD9303DD9303DD9303DD9303DD9303DC9303DC9305DERN      9C18DE9C18DF9C18DF9C17DE9C17DF9C18DD980FDD9201DD9303DD9203DE9303RN      DD9203DD9303DD9303DD9303DB9000E2A939FDFCF9FFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFF9F5E9DF9F21DB9000DF9B19F3E2BCF3E1BDF4RN      E9CFF2E7C9F2E2BCDD9B17DC8F00DE9E1DFAF2E4FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7EEDBDE9ARN      15DD9100DC960BE9C170E9C06CDD9408DD950CE0AA3CDE9D1BDB8F00E1A633FCRN      FBF7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3DDB0E8C476RN      F9F1DEF9F1DEF9F1DEF9F1DEF9F1DEF9F1DFECCF8DDB9000DD9303DD9203DD93RN      03DC9101DB8D00E0A736EDD297F6EDD7FCFAF5FFFFFFFFFFFFFFFFFFFBFAF3F7RN      ECD3ECCF8FE0A42DDA8E00DD9201DD9303DD9203DD9303DD9203DE9303DB9000RN      E5B455F9F1DEF9F1DEF9F1DEF9F1DEF9F1DEF9F1DFF0DDB0DC9407DD9202DD93RN      03DD9303DD9203DC9203DD9303DD9303DC9302DC9307F5E7C9FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFE3B24EDC8F00DD9000E1A834RN      E9C373DB960FE0A530E3B04AE5BA60DD970EDB9204F5E6C5FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4RN      E4C0DA9102DC8F00EAC77FF3E9CDF7F1DDE7C272EDCF91E7BB63DB8F00DB9000RN      E5BB62FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0C3RN      65F0CF88FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0DAA8DA8F00DC9303DDRN      9203DD9302DB9000E7C275FCFAF4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFAF8EEE6BC66DB8F00DD9302DD9303DC9303DD9303E498RN      02E19400F1DEB4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFEE0A93ADCRN      9000DD9303DD9303DC9203DC9303DC9303DD9403DC9303DB8F00EBC984FFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBCA84DB8F00DD93RN      03DB8D00DB9406E5B453EDD091EED49DE5BA61DC9507DB8E00F0D6A2FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFEED49EDB8F00DA9000F5E5C1DFA631E8BE6AF1DEAFE2B24FF4E7C5DA91RN\n      02DC8F00EDD094FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0F1F17ERN      7F81594620B5AA90FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFD8A2DA8F00RN      DC9303E09503E09200E7BF6CFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFEE4B85DDB8F00DD9303DD9303DFRN      940380580B766134F6F5EEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      EBCE8DDB8E00DD9303DD9303DD9303DD9303DD9303DD9303DC9303DC8F00E2AERN      44FDFEFDFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF2DFB3DBRN      8F00DC9101E1AD3EEFD8A4E9C880DFA93AD88F00D98800DC9100DC9000EBC67DRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFEAC77EDC8F00DB8F00F1DCACEED195E4B351F8F0DBE7C47AF1RN      DCADDB9001DB9001F5E2BBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      E7E8E8292B2F010610919399FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFD8RN      A2DA8F00E09403DA90019E772CF2F1EDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFF9F4E5DD9D1CDC9100RN      E19502C886071B18146E7582FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFF6EED9DD9811DD9201DD9303DD9203DD9203DD9303DD9303DD9303DDRN      9100DE9F1FF9F4E4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      F6ECD1DC970CDD9100DD9C19E3B04BEBCA88F3DFB3F6E6C2EBCA83DC960CDC8FRN      00E5B85AFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFE6BB63DC9000DC9000DD9D1EEAC980DB960FEDD197RN      F2E5C3E1AA3ADC9000DC970EF8ECD3FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFE8E9E934373B0D1015959699FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFEFD7A2DB9000E0950469480C7C8089FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE7C1RN      6FDC8F00E397028F640E131820C9CACBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFEFFFEE3B350DB8F00DD9303DD9203DD9303DD9303DD9303RN      DD9303DE9202DC9406F5E8C8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFF9F3E5E0A021DD9000DE9811F2E1BAEDD092E6B960E3B555F1E3BEE6RN      BC64DB8C00E2AD42FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE3B24EDC8F00DD9912E4B24EE3B252E5B4RN      53E3B14FE2B558DD9710DC9000DF9D1EFBF2E2FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFE8E9E934373A0D1014959698FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFEFD7A2E194009E6C0D0F131BBEC0C3FFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFAFBFADADBDCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF1DFB4DC9000E094044937123E424AF7F7F8FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFD8A6DA9000DD9303DD9303DD9203DD93RN      03DD9303DD9303DD9303DB8F00F1DBABFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFCFAF5E2A632DC8F00DE9D1CF4E8CBE5BC66E4B451E8BF6DRN      F4E9CDE5B756DB8D00E1A735FCFCF8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE3AC3FDB8E00DF9F20EFDAAAF1RN      E1B6F3E9CEFAFDFAFFFFFFE4B34EDC8D00E0A329FBF7EEFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFE8E9E934373A0C0F14959798FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFF0D8A1D98E004736161B202AD8D8D9FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFF2F3F36263661C1F2377797CFAFAFAFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF6EBD1E0990CBD7E071817158A8C90FFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAF6E9DF9E1FDC9100DD9303DDRN      9203DD9303DD9303DD9203DE9303DC8F00ECCF8FFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFEFFFEE2AC3EDC9000DC9100E4B24EF3DFB4F3E2RN      BCF1DDB0E4B555DC9101DC9000E1A42CFBF8EFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFBE3A938DC9000DC960DRN      E2B359EACD93ECD7AAEBD6A7ECCD89DF9E1FDC8E00E1A631FCFBF6FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8E9E934373A0D0F14959698FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFF3DBA1BB7C01201D1B282A30DDDEDEFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFCED0D411151D0E0F1425272BE2E2E3FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFF7EEDAE59F1481580C181D26D4D5D5FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE7BD67DC8F00RN      DD9303DD9303DD9303DD9303DD9303DE9303DC8F00ECC67CFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE1B049DC9000DD9202DC9304DFRN      A228DFAB41DC970EE2AB3BDC950ADC9100E1A125FBF5E9FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBFCF8E1A735DB8ERN      00DE9F23F6EED5FDFEFCEED9A8E1AD41DA9201DC9000DC9000E2A736FDFCF9FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8E9E935383B0D1015959698RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5DCA1A26D0612141C2A2D31DEDFRN      DFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE0DACE322D2013151B2C2E32E0E0E0FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F0DADB99183D2D114C4F57FDFDFDFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3E2RN      BDDB9203DD9302DD9303DD9303DD9303DD9303DD9303DC9000EBC172FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE3B250DC8F00DB8F00RN      EED59CF5ECD3F8F2DFDFA125F0D8A7E9C67ADC8E00DF9F22F9F4E6FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBFCF9E1RN      A735DC8F00DE960CE3B24CE9C57AF1DFB5F8F6E8F8F2E0E1A938DB8E00E2A837RN      FDFCFBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8E9E934373A0D10RN      14969698FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF6DBA194650710141C2ARN      2C30DEDEDEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCEDCA835F150F131B2D2E32RN      E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEF2D9B3811C1212149C9EA1FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFECECECE9E9EAFFFFFFFFFFFFFFFFFFFFFFFFFERN      FFFFFBFAF4DFA630DD9000DD9303DD9303DD9303DD9303DD9303DB9000E9C170RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE3B452DC8FRN      00DA9000F6E9C7E7C474F0E1B9DD9D1FE8BD67EFD9A7DC8D00DF9F22F9F4E6FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FDFEFCE3A938DB8E00E0A023F1DFB6F3E2BEF2E1BCF3E7C9F9F3E2E1AD41DC8DRN      00E1A733FCFBF8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8E9E935RN      373A0D0F14959698FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5DCA0926307RN      0F141D2A2C31DEDFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCEDCA9267140F13RN      1C2C2E33E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3DA72572220242AE0RN      E1E2FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAAABAC8B8B8EFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFEAC981DC8E00DC9303DC9303DD9303DD9303DD9303DB90RN      00ECC579FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE1RN      B04CDC9000DB9102EED397DFA838EBCE91F5EDD8F4E9CEE2AE43DC8F00E0A024RN      FAF5E8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFE4AC40DC8F00DD9406DE9B16DE9C17DE9B16DE9B14DC9911DDRN      9507DC9000E0A42CFBF9F0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      E8E9E934373A0D0F14959698FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5DCRN      A092630710131C2A2C30DEDEDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCECCA8FRN      66140F131C2C2E32E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEEE8DC322E25RN      595D60FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF636568404144F9F9F9FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFF6EBD1DD960CDD9201DD9303DD9303DD9303DDRN      9303DB9000EDCC8AFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFE2AD42DC9000DD9303DB9408DC9302DB9305E2AA39DF9F21DC9000DC91RN      00E0A32BFBF8EEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFE3B34DDC9000DD9202DC9100DC9000DC9000DC9100RN      DC9000DD9301DC9100E09F21FAF3E5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFE8E9E935373B0D1015959698FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF5DBA092630710141D2B2D31DEDFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FCECCA8F66140F131C2D2E33E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDDDCRN      DE212329ABACAEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEDEDED31333717191DCERN      CECFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFDE2AD44DD9000DD9303DD9303RN      DD9303DE9303DB8F00F0D7A5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFDFCF9E2A835DD9000DD9303DD9200DD9302DD9200DC8E00DC9000DDRN      9303DD9000E0A733FCFCF6FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6BB64DB9000DD9303DD9303DD9303DD93RN      03DD9303DD9303DD9303DD9200DD9912F8EDD7FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFE8E9E934373A0D1014959698FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF5DCA091630710141D2A2C30DEDEDFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFCECCA8F66140F131C2C2E32E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFD9DADA414346E9E8E9FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFB4B7BC14161CRN      0F1115848588FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEED39ADB8F00DD93RN      03DD9303DD9303DD9303DB9203F5E4C3FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFF9F5EADFA125DD9100DD9303DD9203DD9203DD9303DD9303RN      DD9303DC9203DC9000E2AB3FFEFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBC87FDB9000DD9303DD9303DDRN      9303DD9303DD9303DD9303DD9303DD9302DB9102F6E5C2FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFE8E9E934373A0C1014959698FFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFF5DCA092630710141D2B2C30DEDFDEFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFCECCA8F66140F131C2C2E32E1E1E1FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFD4D5D6808183FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F90RN      711113161316193F4245F4F5F5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F3E2DFRN      9C18DD9100DD9303DD9303DD9200DE9B19F8F0DFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFF7EED7DD9912DD9200DD9303DD9203DD9303DD93RN      03DD9303DD9203DD9303DC8F00E4B555FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0D7A1DA8F00DD9303RN      DD9303DD9303DD9303DD9303DD9303DD9303DC9303DB8F00EFD59EFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8E9E93336390B0F14959698FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFF5DCA09262060F131C292B2FDEDEDFFFFFFFRN\n      FFFFFFFFFFFFFFFFFFFFFFFFFCECCA8F66140F121C2C2E32E1E1E1FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFDBDCDDCFCFD0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDRN      F9EFC9952A2A231715171E17191DC3C5C6FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFE6B95CDC8F00DD9303DC9303DC9000E1AA3AFCFDFAFEFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4E3BCDB9101DE9203DD9303DC9303DDRN      9303DC9203DD9303DD9303DC9303DB9000E9C375FFFFFFFEFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5E5C2DA92RN      04DD9302DD9303DD9403DD9303DD9303DC9303DD9303DC9303DC8F00E7C06EFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE7E8E82A2D31010408909194RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF5D99B8D5B00040811202227DCDDRN      DDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCECCA8F66150F131C2D2F33E1E1E1FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFAFAFAFCFCFCFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFF4E3BBE095035D43161217201012167A7B7EFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFF1DEB1DB9001DD9303DD9303DB8E00E9C275FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEDCF90DC8F00DD9303DD9403RN      DC9203DD9303DC9303DD9303DD9203DC9303DC8F00EFD39AFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9RN      F0E0DF9C1ADC9200DD9303DD9303DD9303DD9303DD9303DD9303DC9304DD9000RN      E2AB3DFDFEFCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7F7F7B6B8B9A8AARN      ABD9D9DBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAF1DCD5C7A5AAABAFB4RN      B5B5F3F3F3FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCECCA8F66140F131C2C2E32RN      E1E1E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFE7C16FE293009E6C0D15181F13161B383A3EF1F1F1FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFAF8EFE0A128DC9100DD9302DC9102F3E1BBFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE4B85ADC9000DD93RN      03DD9303DC9303DD9303DD9303DD9303DD9203DD9302DB9102F4E3BFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFDFDFAE1A938DC9000DD9203DD9303DD9303DD9303DD9303DD9303DD93RN      03DD9100DE9B16F8F1DEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCECCA8F66130F13RN      1C2C2E31E1E0E1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFBF9F2DFA32DDE9200CF890631291B14181F13161BBCBDBERN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE9C374DC8E00DC9100E0A329FCF8RN      F1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFAF9F1DFA42ADCRN      9100DD9303DD9303DC9303DD9303DC9303DE9303DD9203DD9201DE9B17F9F0DDRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFE6BD69DC8F00DD9303DD9303DC9303DD9403DD9303DDRN      9303DD9303DD9303DB9000F0DBACFFFFFFFFFFFFFFFFFFD7D8D9ADAEB0BDBEBFRN      FAFAFAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBECC78ARN      600A0E121B27292CDFE0E0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFF4E5C2DC9205DC9302E396036749141116201011RN      176E7072FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4E7C7DC9407DB8E00EARN      C67CFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF4E7C7RN      DC9306DD9302DD9303DD9303DD9303DD9303DD9303DD9303DD9303DC9000E1A8RN      36FDFCF9FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFF0D9A7DB8F00DD9303DD9303DD9303DD9303RN      DD9303DD9303DD9304DD9303DC8F00E7BA61FFFFFFFFFFFFFFFFFF8486890003RN      08323438EFF0EFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFRN      FEFAF1BBB19A1D1F25A6A7A9F7F7F7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8C57ADD8E00DD9303E39602A6720C16RN      1A1F14161B313438ECECEDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFDF9E1A837RN      DC950CF7EFDAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFEAC780DC8E00DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DCRN      8F00E7BD69FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8EFDBDD9913DD9200DD9303DD93RN      03DD9303DD9303DD9303DC9303DD9303DC9100DF9D1FFAF5E9FFFFFFFFFFFF8ARN      8B8E0B0E123B3D41F0F1F1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFF7FAFF3A3D3F9FA0A2FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFCF8E0A734DD9000DD9303DF9403RN      D38D06372E1A141720121419B1B2B4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFRN      FFEBCA85E6BC65FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFDFCF8E0A735DD9000DC9303DD9303DD9303DD9203DD9303DC9203DD9303RN      DD9303DB8F00EFD9A8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDE1AD42DC9000DDRN      9303DD9303DD9303DD9303DD9303DD9303DD9303DC9303DB8F00EFD7A4FFFFFFRN      FFFFFF8B8B8E0C0E133D4043FBFBFBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFF82838745474BFDFDFDFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF6EBCFDB9508DD9202DD93RN      03DD9303E49702705013111620101317646568FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFEFFFFF9F4E5F9F3E4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF4E4C2DB9306DD9301DD9303DD9303DD9303DD9203DD9303DD93RN      03DE9403DD9200DE9915F7F0DCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBCD8DRN      DC8E00DD9403DD9303DD9303DD9403DD9303DC9303DD9303DD9303DC9000E3AERN      44FDFEFDFFFFFF8B8B8E0F111527282D6F717375787A75787975787975787975RN      787975787975787975777975777975787A75787975777975787A75787A757879RN      717475949697FEFEFEFFFFFFFFFFFFFFFFFFD0D0D123252AD5D4D5FFFFFFFFFFRN      FFFFFFFFFFFFFFA0A2A3707275757879717579908774E6BE6BE2AC41DC9000DDRN      9303DD9303DD9303E29702AF760C1A1B1E13171C2B2C31E5E6E6FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFE6BB63DB8F00DD9303DD9303DD9303DD9303DD9303DDRN      9303DC9303DE9303DC8F00E4AE47FEFEFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFF6EDD6DC970EDD9201DD9303DD9303DD9303DD9303DD9303DD9303DD9303DCRN      9302DB9306F3E5C2FFFFFF83858704060A090B10000006000005000005000005RN      00000500000500000500050F0006140007140007130007130007130007140006RN      13060B12080B0E1D1F23DDDCDEFFFFFFFFFFFFFFFFFFFBFBFB4244488A8A8CFFRN      FFFFFFFFFFFFFFFFFFFFFF999B9C00000B0006130003146B4805E29000DC8E00RN      DD9303DD9303DD9203DD9303DE9403D68F053C301A131820111318A6A8A9FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFF7EFDBDD9912DD9201DD9303DD9303DD9203DD9303RN      DD9303DD9303DD9303DD9303DB8E00EED095FFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFEFEFEE3B14BDC8F00DD9304DC9303DD9303DD9303DD9303DD9203RN      DD9303DC9304DB8F00E4B555FEFFFFADAEB057595C5C5E605C5E605C5E605C5ERN      615C5E605C5E615B5E615C5D5F534120523D13513F16523F17513F17513F1752RN      3F165340172A251C16191F10121697989BFFFFFFFFFFFFFFFFFFFFFFFF8E9092RN      3E4143F9FAFAFFFFFFFFFFFFFFFFFFE7E8E55C4D2A4F3C13513F17B97E09E195RN      02DC9303DD9403DD9303DD9303DD9303DD9303E398037855131116201113175ARN      5C5FFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE8C374DA8F00DD9304DD9303DD9203DD93RN      03DC9303DD9303DC9303DD9303DD9101DE9913F8F0DCFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFF0DAA8DA8F00DD9303DC9203DC9303DC9303DC93RN      03DC9203DC9303DC9203DD9202DB9307F3E4C2FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3D89BE09500E29600E39804E29703RN      E29803E39703E99C03835D121116201115194A4D51FCFDFDFFFFFFFFFFFFFFFFRN      FFDBDCDE26292DCCCDCDFFFFFFFFFFFFFFFFFFFFFFFFECC061E19400E39703DFRN      9503DC9203DC9203DD9303DC9203DC9203DC9203DD9203E09603B67A0A1D1D1FRN      14181D24272ADEDEDEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7EFDADC9813DC9201DC9203DC9303DCRN      9203DD9303DC9303DD9303DD9303DC9303DB8F00E4B557FFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCF9F0DFA227DC9000DC9303DC9303DDRN      9303DC9303DC9303DC9303DC9303DC9304DB9000E3AE46FEFFFDFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBC981DC9000DD92RN      00DE9403DE9303DE9303E29603BE820922211D15181D1C1E22CACBCBFEFEFEFFRN      FEF9FAFBFBFBFCFD4D50537E7F80FDFEFEFEFDFAFEFEFAFEFEFCF2DFB2DD9204RN      DE9302DD9303DC9303DC9303DC9303DD9303DC9303DC9303DC9303DD9403DA91RN      0544341913171F1012179B9B9CFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFE6BB63DB8E00DC9303DD9303RN      DC9303DC9303DC9303DC9303DC9303DC9303DC9202DB9102F2DFB7FFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBCB88DB8E00DD9303RN      DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9302DB8E00ECCE92FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE9RN      C67BDA8F00DD9100DD9303DD9303DD9303E09504503C1712172015171D343639RN      43474DA7853DB18B3D44484E2C2E3321242843474D635B46DCA536E2A836DFA6RN      31DD9407DD9203DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DDRN\n      9303E59803825B1210162016181D292C2F4E51534B4E51484B4D686B6DF6F7F7RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF0DBAEDA9001DD9202DD93RN      03DD9303DD9303DD9303DD9303DD9303DD9303DD9303DC8F00E1A837FDFCF8FFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8F4E6DE9DRN      1CDC9100DD9303DD9303DD9303DD9303DD9203DD9303DD9303DC8F00DA8F00E7RN      C377FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFEFFFFEBCA88DC9103DC8F00DD9303DC9303E4970291650E0A12210E14RN      21060C1900041649350BC17F001A1711070E1D0A101D000715090D14A76F00E1RN      9100DB8E00DC9302DD9303DD9303DD9303DD9303DD9203DD9303DD9303DD9303RN      DD9303DD9303E19602BB80091A19170A0D1307090D0001050002060000050205RN      09BCBDBEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFFEBD196DC9308DBRN      8E00DD9302DD9203DD9303DD9303DD9303DD9303DD9303DD9303DA8F00EFD5A0RN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFEFERN      FFFFEAC983DB8E00DD9303DD9303DD9303DD9303DD9303DD9202DB8D00DD9C1CRN      EED7A5FEFFFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFEFD9A9DE9A17DC8D00DC9201DF9403CF8A0684RN      5C107F5911805A117E58118A600FD690059A690D7D57118059118059117C5712RN      B2780AE19503DD9303DD9303DD9303DD9303DD9303DD9303DD9303DE9303DD93RN      03DD9303DD9303DD9303DE9201D98C008E6E3183848688898C87888B87888B87RN      898B828386C2C3C4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFFFFFFRN      F5E6C3E3AB3DDB8D00DD9000DD9203DD9303DD9303DD9303DD9303DD9000E0A5RN      2FFBF9F3FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFF9F5E8DD9F20DC9000DD9403DC9303DD9303DD9000DA8D00E4B2RN      4EF6EFD9FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF6EBD2E3AF48DB8E00DB8E00RN      E09402E89902E89901E89A01E89901E59802DE9303E69802E89A01E89902E899RN      01E89A01E19502DD9203DD9303DD9303DD9303DD9303DD9303DD9303DD9303DDRN      9303DD9303DD9303DD9202DC8E00DA8F00E6B655FFF5DCFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFDFAF5EACA83DB960EDB8D00DD9302DD9303DD9303DD9302DBRN      8F00EFD6A2FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFECD095DB8F00DD9303DD9302DC8E00DD970CEBRN      CC8BFDFDFBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFCFAECD1RN      95DE9F21DB8C00DD8F00DD9302DD9303DD9303DD9303DD9303DD9303DD9303DDRN      9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303RN      DD9303DD9303DD9202DC8E00DB8C00DFA229EED6A1FEFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF9F9F96B6D70B3B3B4FFFFFFFFFFFFF4E7C8E2AC41DB8D00DD9000DD9303RN      DC8F00E2AB3EFCFBF8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFCF7E0AA3ADC8D00DB8D00E1A836RN      F4E6C4FFFFFFFFFFFFFFFFFFFFFFFFDDDDDD7D7E81E9EAEAFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFAF4E5EAC881DE9F22DB8D00DB8D00DD9100DD9302DD9303DD9303RN      DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD9303DD93RN      03DD9202DC9000DB8D00DB8E00E0A229ECCC8AFBF7ECFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFCFDFDDFDFDF686A6CAFB0B1FFFFFFFFFFFFFFFFFFFCFBF7EBCC88DC98RN      10DB8D00DB9206F3E3BFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF3E3BFDC9610E8C0RN      6EFDFBF2FFFFFFFFFFFFFFFFFFFFFFFFCDCECF2D3033232629D7D8D8FFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9F5E8EED39AE3AF46DC9710DB8D00DB8CRN      00DB8D00DC8F00DC9100DD9100DD9301DD9202DD9202DD9200DD9100DC8F00DBRN      8D00DB8C00DA8D00DD9813E4B14DEFD7A2F9F7EDFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFF6F6F66A6C70787A7CFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFF5E9CCE1AB41E7BE6CFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFF6RN      ECD3FEFFFFF5F7FBC6C6C7FFFFFFFFFFFFBABBBB1C1E2237383DD7D7D8FFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFF7EDD6EERN      D59EE7BB63E1A939DF9E1FDC960CDA9000DA8E00DA8F00DB8F00DA9101DC960DRN      E09F21E1AA3CE8BE68F0D8A4F8EFDBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFE1E0E117181D676A6BFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFCFCF7FCFBF5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFD8D9D9222529969699A5A7A81114184E5053E7E8E9FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFDFEFDF9F3E5F7EBD1F4E5C2F4E1B8F3DFB5F4E1B9F4E6RN      C4F6EBD2F9F4E7FDFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFEDEDEDF0F0F0FFFFFF9A9B9E111418828484EAEAEAE4E5E5FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFA9ABAD161A1E111418707376F6F7F7FFRN      FFFFFFFFFFFFFFFFD5D6D75E5F62505154ADAEAFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFF6668694C4D51F8F8F8FFFFFF9B9D9F1A1C212D2F3388RN      898AFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9EA0A2121419ACADAFRN      FFFFFFFFFFFFFFFFFFDDDEDE2B2E32282A2E58595D1D20257C7E80FAFAFBFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFC8C9CAC2C5C5C2C2C317191D6C6E6FFFFFFFFFFFFF4B4D51RN      000004606064F0F0F0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF9193RN      9325282BDADADBFFFFFFF8F8F8494A4D24272BDCDDDDFFFFFFB1B2B40F1116BFRN      C0C1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFE0E1E223262B8A8C8FFFFFFFACAEAE17191E7C7E7F8B8CRN      8EC5C6C7A2A3A56B6D70DEDEE0FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFC2C2C4F4F4F4FFFFFF7C7E7F0D1014BCBDBEFFFFFFFFFFFFBCBDBERN      0D1015B8B9BAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFEFFFEFFFFFFDADBDB1C1F24929395FFFFFFFFFFFF64656800RN      00004C4D51E8E8E8ECECECFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFA9AAAD080A0F898A8CFFFFFFFFFFFFE7E8RN      E82E31344B4E50F5F5F5FFFFFFFFFFFFDFDFE0B3B3B5F3F3F3FFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFCFCFC7173767D7E7FFFFFFFEDEDED292B2F919295FFFFFFFFFFFFRN      90909245474B222428313336979999FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN\n      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBBBCBE797A7DFCFBFCFFFFFFFERN      FEFE5C5E621B1E21D6D7D7FFFFFFFFFFFFD1D3D435383A080B0FA1A1A3FFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFDFDFD8081840D1014A3A5A6CECFD02C2E3397989AFFFFRN      FFFFFFFFFFFFFFF6F6F78E8F919C9D9FF7F8F8FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFB7B8B98A8B8EFFFFFFRN      FFFFFF898B8D0A0C10A9AAABFFFFFFFFFFFFBFC0C22224292A2D311A1C20AEAFRN      B1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFCRN      FCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8F8F8484B4E080B10272A2E0F11163FRN      404499999AC7C8C9E3E3E3FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC2C3C39F9FRN      A1ACACADAEAFB034373A727376FFFFFFFFFFFFAAAAAB13151A545558B6B7B920RN      2227CECFD0FFFFFFFFFFFFFFFFFFFFFFFFF9F9FABBBDBEE1E1E2FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFBFCFBDEDEDE999A9B52RN      545738393D66696BE6E7E6FFFFFFFFFFFFFFFFFFFFFFFFD0D2D21A1E21414347RN      96979956575C26292C191D1F808082F6F5F5FFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFF7F8083A7A7A9E1E1E2F3F4F4F6F6F78C8E900B0D125E6063F7F7F7RN      AEAEB026292CE3E3E4FFFFFFFFFFFFFFFFFFFFFFFFDEDEE0191C20AAAAACFFFFRN      FFF9F9F9A4A5A6C8C9CAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFF7F8F8B0B0B2CDCDCEB9BABA1F2124RN      35383A787A7C9091932225294A4B4EF4F4F4FFFFFFFFFFFFFFFFFFFFFFFF8E90RN      9216181EC2C2C3FFFFFFE9E9EACECECFF5F6F6FFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCBCBCC27292D6F7073FBFBRN      FBFFFFFF787B7E3B3D41F7F8F8FFFFFFFFFFFFFFFFFFFFFFFFB5B6B81D1F23DERN      DFE0FAFAFB68696C02050A676A6CFFFFFFFFFFFFBFC0C1616265494C4F65686ARN      C8C9CAFFFFFFFFFFFF88898B838688FFFFFFFFFFFF97989A080A0FC2C2C3DCDCRN      DD16191E919395FFFFFFFFFFFFB3B5B70B0E13ABADAEFFFFFFFFFFFFFFFFFFFFRN      FFFFF9F9F946494C37393CF3F3F4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEE4E5E5FERN      FDFDFFFFFFFFFEFE4D4E52545558FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7A7C7FRN      414447F2F3F36263660E1115111418A6A8A9FFFFFFAEAFB014161A4A4C4F7E80RN      8344454A181C1FBBBCBCFFFFFF57595C383A3DFFFFFFF1F2F22C2E33595B5FFERN      FEFEFFFFFF55575A424548F9FAFAFFFFFFF5F6F735383D626465FFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFD8D9DAB9BABCFAFBFBFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFF7F7F83C3E42727576FFFFFFFFFFFFFFFFFFFFFFFFFDFDRN      FE4A4C505F60646162651F22267D7E81212327D6D6D7F9F9FA3B3D41484B4DFCRN      FDFDFFFFFFF8F8F83D3E43484A4DFDFEFE87888A2C2E32D8D8D8797A7C16181CRN      C8C9CAFFFFFFFFFFFFA7A8A913161ACDCECFFFFFFFFFFFFF4D4E524F4F53FFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFED1D2D2D0D0D2FFFFFFFFFFFFFFFFFFFFRN      FFFFE5E5E52D2F341A1C20202326C6C7C891939536383BF7F7F7E2E2E2212427RN      919294FFFFFFFFFFFFFFFFFF7C7F812B2D31F1F1F0AEAFB114161B3133362628RN      2C333639404246BDBEBFFFFFFFE7E8E823252A808182F4F4F4A2A3A415181C93RN      9395FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFB9B9BB04070C25272BC4C5C5FFFFFF505254606264FFFFFFE2E2RN      E32225298C8E8FFFFFFFFFFFFFFFFFFF7374772E3134F5F5F5CBCCCD11141897RN      989AEAEAEBEFEFF0383A3F46484AFFFEFEFFFFFF66676A12151936373B26282BRN      7C7E81F8F8F8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFD0D0D16E6F73C6C6C7FFFFFFE6E6E61E202598999CFFRN      FFFFFBFBFB4B4D5136383BE7E8E8FFFFFFDDDEDF27292D606364FFFFFFDDDEDERN      202328919394D4D5D5ABADAF22252A56585BFFFEFEFFFFFFBFC0C1575A5C9E9FRN      A0E2E2E2FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFECECED888A8BRN      DBDCDCFFFFFFFFFFFFCCCDCE2B2D30292B2F4E505324282C373A3EDADADBFFFFRN      FFEFF0F03436391A1D212E3134323538636567DADBDCFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE2E2E396989A7A7C7E9D9EA0EBECEDFFRN      FFFFFFFFFFFDFDFEC6C6C7C7C7C9DDDDDDF4F4F4FFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN\n      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFRN      FFFF}RN  ENDRN  OBJECT TRPLABEL27: TRPLABELRN    WIDTH = 3675RN    HEIGHT = 570RN    POSX = 7005RN    POSY = 165RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = RN      \'NYILATKOZAT: A JAV\'#237\'T\'#225\'S SOR\'#225\'N CSER\'#233\'LT ALKATR\'#233\'SZEKR\'#337\'L LEMONDOK / N\' +RN      \'EM MONDOK LE.\'RN  ENDRN  OBJECT TRPLABEL29: TRPLABELRN    WIDTH = 3630RN    HEIGHT = 465RN    POSX = 150RN    POSY = 165RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'A MEGRENDELT T\'#233\'TELEKET JAV\'#237\'T\'#225\'S\'#225\'T TANUS\'#237\'TOM.\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 3630RN    HEIGHT = 375RN    POSX = 135RN    POSY = 1350RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRNENDRN','2010-04-18 21:02:27',''),(10,'ALAPéRTELMEZETT',4,'OBJECT TRPREPORTRN  GRIDENABLED = FALSERN  GRIDCOLOR = 8421504RN  GRIDWIDTH = 57RN  GRIDHEIGHT = 57RN  PAGEORIENTATION = RPORIENTATIONLANDSCAPERN  PAGESIZE = RPPAGESIZECUSTOMRN  PAGEHEIGHT = 8120RN  PAGEWIDTH = 5742RN  PAGEBACKCOLOR = 16777215RN  LEFTMARGIN = 567RN  TOPMARGIN = 567RN  RIGHTMARGIN = 567RN  BOTTOMMARGIN = 567RN  SUBREPORTS = <RN    ITEMRN      SUBREPORT = TRPSUBREPORT0RN    END>RN  DATAINFO = <RN    ITEMRN      ALIAS = \'RETAILER\'RN      DATABASEALIAS = \'ZEOSDUMMY\'RN      SQL = RN        \'SELECT\'#13#10\'KH.FNEV AS RAKTAR,\'#13#10\'SUBSTR(K1.FKTGH,5,8) AS SOR,\'#13#10\'SUBSTR\' +RN        \'(K1.FKTGH,9,12) AS OSZLOP,\'#13#10\'SUBSTR(K1.FKTGH,13,16) AS POLC,\'#13#10\'CS.\' +RN        \'FNEV AS CSOPORT,\'#13#10\'T2.FNEV AS TIPUS,\'#13#10\'K1.FANYAGKOD AS RAKTKOD,\'#13#10\'T\' +RN        \'1.FNEV AS MEGNEV,\'#13#10\'SUM(K1.FMENNYISEG) AS MENNYISEG\'#13#10#13#10\'FROM\'#13#10\'TKES\' +RN        \'ZLET K1,\'#13#10\'TKOLTSEGHELYEK KH,\'#13#10\'TTORZS T1,\'#13#10\'TCSOPORTOK CS,\'#13#10\'TTIPUS\' +RN        \'OK T2\'#13#10\' \'#13#10\'WHERE\'#13#10\'CAST(\'#39\'0\'#39\'||SUBSTR(K1.FKTGH,1,4) AS INTEGER)=KH.F\' +RN        \'AZONOSITO AND\'#13#10\'K1.FANYAGKOD=T1.FRAKTKOD AND\'#13#10\'T1.FCSOPTIP=T2.FAZO\' +RN        \'NOSITO AND\'#13#10\'T2.FCSOPORT=CS.FAZONOSITO AND\'#13#10\'K1.FMENNYISEG>0\'#13#10#13#10\'GR\' +RN        \'OUP BY\'#13#10\'KH.FNEV,\'#13#10\'SUBSTR(K1.FKTGH,5,8),\'#13#10\'SUBSTR(K1.FKTGH,9,12),\'#13 +RN        #10\'SUBSTR(K1.FKTGH,13,16),\'#13#10\'CS.FNEV,\'#13#10\'T2.FNEV,\'#13#10\'K1.FANYAGKOD,\'#13#10\'T1.\' +RN        \'FNEV\'#13#10#13#10\'ORDER BY \'#13#10\'KH.FNEV,\'#13#10\'K1.FKTGH,\'#13#10\'CS.FNEV,\'#13#10\'T2.FNEV,\'#13#10\'K1.F\' +RN        \'ANYAGKOD,\'#13#10\'T1.FNEV\'#13#10RN    END>RN  DATABASEINFO = <RN    ITEMRN      ALIAS = \'IBCONNECTION\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'IBLOCAL\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    ENDRN    ITEMRN      ALIAS = \'ZEOSDUMMY\'RN      LOADPARAMS = TRUERN      LOADDRIVERPARAMS = TRUERN      LOGINPROMPT = FALSERN      DRIVER = RPDATAZEOSRN      REPORTTABLE = \'REPMAN_REPORTS\'RN      REPORTSEARCHFIELD = \'REPORT_NAME\'RN      REPORTFIELD = \'REPORT\'RN      REPORTGROUPSTABLE = \'REPMAN_GROUPS\'RN      ADOCONNECTIONSTRING = \'\'RN    END>RN  PARAMS = <>RN  STREAMFORMAT = RPSTREAMTEXTRN  REPORTACTION = []RN  TYPE1FONT = POHELVETICARN  WFONTNAME = \'ARIAL\'RN  LFONTNAME = \'HELVETICA\'RN  OBJECT TRPSUBREPORT0: TRPSUBREPORTRN    SECTIONS = <RN      ITEMRN        SECTION = TRPSECTION1RN      ENDRN      ITEMRN        SECTION = TRPSECTION3RN      ENDRN      ITEMRN        SECTION = TRPSECTION0RN      ENDRN      ITEMRN        SECTION = TRPSECTION4RN      ENDRN      ITEMRN        SECTION = TRPSECTION2RN      END>RN    ALIAS = \'RETAILER\'RN  ENDRN  OBJECT TRPSECTION0: TRPSECTIONRN    WIDTH = 15704RN    HEIGHT = 300RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECDETAILRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION0RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION1RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION2RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION3RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION4RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION5RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION6RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION7RN      ENDRN      ITEMRN        COMPONENT = TRPEXPRESSION8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE3RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE4RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE10RN      ENDRN      ITEMRN     \n   COMPONENT = TRPSHAPE11RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE12RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE13RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE15RN      END>RN    AUTOEXPAND = TRUERN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION1: TRPSECTIONRN    WIDTH = 15704RN    HEIGHT = 765RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = LBTITLERN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE14RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    GLOBAL = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION2: TRPSECTIONRN    WIDTH = 15704RN    HEIGHT = 855RN    SUBREPORT = TRPSUBREPORT0RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECPFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPSHAPE18RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL0RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL1RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE0RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE1RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    FOOTERATREPORTEND = TRUERN    GLOBAL = TRUERN    DPIRES = 200RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION3: TRPSECTIONRN    WIDTH = 15870RN    HEIGHT = 975RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'LELTARIVGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = TRUERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGHEADERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPEXPRESSION9RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL2RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE16RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE17RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE19RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL3RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE20RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL4RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE21RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL5RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE22RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL6RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE24RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL7RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE25RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL8RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE26RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL9RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE27RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL10RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE28RN      ENDRN      ITEMRN        COMPONENT = TRPLABEL11RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE23RN      ENDRN      ITEMRN        COMPONENT = TRPSHAPE2RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    ININUMPAGE = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.RAKTAR+RETAILER.SOR+RETAILER.OSZLOP+RETAILER.POLC\'RN    BEGINPAGEEXPRESSION = \'TRUE\'RN    CHANGEEXPRESSION = \'RETAILER.RAKTAR+RETAILER.SOR+RETAILER.OSZLOP+RETAILER.POLC\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT TRPSECTION4: TRPSECTIONRN    WIDTH = 15704RN    HEIGHT = 0RN    SUBREPORT = TRPSUBREPORT0RN    GROUPNAME = \'LELTARIVGROUP\'RN    CHANGEBOOL = FALSERN    PAGEREPEAT = FALSERN    SKIPPAGE = FALSERN    ALIGNBOTTOM = FALSERN    SECTIONTYPE = RPSECGFOOTERRN    COMPONENTS = <RN      ITEMRN        COMPONENT = TRPLABEL12RN      END>RN    EXTERNALTABLE = \'REPMAN_REPORTS\'RN    EXTERNALFIELD = \'REPORT\'RN    EXTERNALSEARCHFIELD = \'REPORT_NAME\'RN    STREAMFORMAT = RPSTREAMTEXTRN    ININUMPAGE = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    CHANGEEXPRESSION = \'RETAILER.RAKTAR+RETAILER.SOR+RETAILER.OSZLOP+RETAILER.POLC\'RN    BEGINPAGEEXPRESSION = \'\'RN    CHANGEEXPRESSION = \'RETAILER.RAKTAR+RETAILER.SOR+RETAILER.OSZLOP+RETAILER.POLC\'RN    SKIPEXPREV = \'\'RN    SKIPEXPREH = \'\'RN    SKIPTOPAGEEXPRE = \'\'RN    BACKEXPRESSION = \'\'RN    STREAM = {0000000000000000}RN  ENDRN  OBJECT LBTITLE: TRPLABELRN    WIDTH = 3969RN    HEIGHT = 570RN    POSX = 60RN    POSY = 195RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 22RN    FONTSTYLE = 3RN    CUTTEXT = TRUERN    ALIGNMENT = 1RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'LELT\'#193\'R\'#205\'V\'RN  ENDRN  OBJECT TRPSHAPE18: TRPSHAPERN    WIDTH = 15704RN    HEIGHT = 105RN    POSX = 0RN    POSY = 771RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION4: TRPEXPRESSIONRN    WIDTH = 2025RN    HEIGHT = 195RN    POSX = 4275RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.CSOPORT\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION1: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 195RN    POSX = 1882RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.SOR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION2: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 195RN    POSX = 2678RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.OSZLOP\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION3: TRPEXPRESSIONRN    WIDTH = 680RN    HEIGHT = 195RN    POSX = 3480RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.POLC\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION0: TRPEXPRESSIONRN    WIDTH = 1695RN    HEIGHT = 210RN    POSX = 60RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.RAKTAR\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE\n = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION5: TRPEXPRESSIONRN    WIDTH = 2002RN    HEIGHT = 195RN    POSX = 8490RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.RAKTKOD\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION6: TRPEXPRESSIONRN    WIDTH = 2835RN    HEIGHT = 210RN    POSX = 10605RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.MEGNEV\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION7: TRPEXPRESSIONRN    WIDTH = 832RN    HEIGHT = 195RN    POSX = 13606RN    POSY = 28RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    DATATYPE = RPPARAMINTEGERRN    DISPLAYFORMAT = \'# ### ##0\'RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.MENNYISEG\'RN    DISPLAYFORMAT = \'# ### ##0\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPEXPRESSION8: TRPEXPRESSIONRN    WIDTH = 1995RN    HEIGHT = 202RN    POSX = 6382RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    CUTTEXT = TRUERN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    EXPRESSION = \'RETAILER.TIPUS\'RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPSHAPE3: TRPSHAPERN    WIDTH = 15704RN    HEIGHT = 105RN    POSX = 0RN    POSY = 283RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE4: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 0RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE5: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 1814RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE6: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 2608RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE7: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 3402RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE8: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 4212RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE9: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 6304RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE15: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 15698RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE13: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 14513RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE12: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 13493RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE11: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 10545RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE14: TRPSHAPERN    WIDTH = 15704RN    HEIGHT = 105RN    POSX = 0RN    POSY = 90RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE10: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 289RN    POSX = 8419RN    POSY = 0RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPEXPRESSION9: TRPEXPRESSIONRN    WIDTH = 1005RN    HEIGHT = 248RN    POSX = 14580RN    POSY = 30RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    VALIGNMENT = 32RN    AUTOEXPAND = FALSERN    AUTOCONTRACT = FALSERN    EXPORTPOSITION = 0RN    EXPORTSIZE = 1RN    EXPORTDONEWLINE = FALSERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    EXPRESSION = \'STR(M.PAGENUM)  + \'#39\'. OLDAL\'#39RN    DISPLAYFORMAT = \'\'RN    EXPORTDISPLAYFORMAT = \'\'RN    AGINIVALUE = \'0\'RN    EXPORTEXPRESSION = \'\'RN  ENDRN  OBJECT TRPLABEL2: TRPLABELRN    WIDTH = 1695RN    HEIGHT = 270RN    POSX = 60RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'RAKT\'#225\'R\'RN  ENDRN  OBJECT TRPSHAPE16: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 0RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE17: TRPSHAPERN    WIDTH = 15704RN    HEIGHT = 105RN    POSX = 0RN    POSY = 283RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE19: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 1814RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL3: TRPLABELRN    WIDTH = 682RN    HEIGHT = 255RN    POSX = 1882RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'SOR\'RN  ENDRN  OBJECT TRPSHAPE20: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 2608RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL4: TRPLABELRN    WIDTH = 682RN    HEIGHT = 255RN    POSX = 2678RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'OSZLOP\'RN  ENDRN  OBJECT TRPSHAPE21: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 3402RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL5: TRPLABELRN    WIDTH = 682RN    HEIGHT = 255RN    POSX = 3480RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'POLC\'RN  ENDRN  OBJECT TRPSHAPE22: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 4212RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL6: TRPLABELRN    WIDTH = 1500RN    HEIGHT = 255RN    POSX = 4275RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'CSOPORT\'RN  ENDRN  OBJECT TRPSHAPE24: TRPSHAPERN    WIDTH = 75RN    HEIGHT\n = 680RN    POSX = 6304RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL7: TRPLABELRN    WIDTH = 1980RN    HEIGHT = 255RN    POSX = 6382RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'CSOPORT-T\'#237\'PUS\'RN  ENDRN  OBJECT TRPSHAPE25: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 8419RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL8: TRPLABELRN    WIDTH = 1860RN    HEIGHT = 255RN    POSX = 8490RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'RAKT\'#225\'RI K\'#243\'D\'RN  ENDRN  OBJECT TRPSHAPE26: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 10545RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL9: TRPLABELRN    WIDTH = 2648RN    HEIGHT = 248RN    POSX = 10605RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'MEGNEVEZ\'#233\'S\'RN  ENDRN  OBJECT TRPSHAPE27: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 13493RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL10: TRPLABELRN    WIDTH = 848RN    HEIGHT = 255RN    POSX = 13605RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'MENNY.\'RN  ENDRN  OBJECT TRPSHAPE28: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 14513RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL11: TRPLABELRN    WIDTH = 1020RN    HEIGHT = 570RN    POSX = 14570RN    POSY = 340RN    TYPE1FONT = POHELVETICARN    FONTSTYLE = 1RN    CUTTEXT = TRUERN    ALIGNMENT = 2RN    WORDWRAP = TRUERN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'LELT\'#225\'RI MENNY.\'RN  ENDRN  OBJECT TRPSHAPE23: TRPSHAPERN    WIDTH = 75RN    HEIGHT = 680RN    POSX = 15698RN    POSY = 283RN    SHAPE = RPSVERTLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE2: TRPSHAPERN    WIDTH = 15704RN    HEIGHT = 105RN    POSX = 0RN    POSY = 964RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL0: TRPLABELRN    WIDTH = 3585RN    HEIGHT = 225RN    POSX = 0RN    POSY = 450RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'M\'#369\'SZAK VEZET\'#337RN  ENDRN  OBJECT TRPLABEL1: TRPLABELRN    WIDTH = 3615RN    HEIGHT = 225RN    POSX = 12075RN    POSY = 450RN    TYPE1FONT = POHELVETICARN    FONTSIZE = 8RN    CUTTEXT = TRUERN    ALIGNMENT = 4RN    VALIGNMENT = 32RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'VERDANA\'RN    LFONTNAME = \'SANS\'RN    WIDETEXT = \'LELT\'#225\'RT V\'#233\'GEZTE\'RN  ENDRN  OBJECT TRPSHAPE0: TRPSHAPERN    WIDTH = 3600RN    HEIGHT = 120RN    POSX = 12076RN    POSY = 390RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPSHAPE1: TRPSHAPERN    WIDTH = 3600RN    HEIGHT = 105RN    POSX = 0RN    POSY = 390RN    SHAPE = RPSHORZLINERN    PENWIDTH = 0RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN  ENDRN  OBJECT TRPLABEL12: TRPLABELRN    WIDTH = 795RN    HEIGHT = 240RN    POSX = 14880RN    POSY = 15RN    TYPE1FONT = POHELVETICARN    ALIGNMENT = 4RN    PRINTCONDITION = \'\'RN    DOBEFOREPRINT = \'\'RN    DOAFTERPRINT = \'\'RN    WFONTNAME = \'ARIAL\'RN    LFONTNAME = \'HELVETICA\'RN    WIDETEXT = \'__/\\__\'RN  ENDRNENDRN','2010-04-18 21:02:27','');
/*!40000 ALTER TABLE `TRIPORTOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TTIPUSOK`
--

DROP TABLE IF EXISTS `TTIPUSOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TTIPUSOK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FLEIRAS` varchar(255) DEFAULT NULL,
  `FCSOPORT` int(11) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `TIPUSOK_NEV` (`FNEV`,`FCSOPORT`),
  KEY `TIPUSOK_CSOPORT` (`FCSOPORT`),
  CONSTRAINT `TIPUSOK_CSOPORT` FOREIGN KEY (`FCSOPORT`) REFERENCES `TCSOPORTOK` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TTIPUSOK`
--

LOCK TABLES `TTIPUSOK` WRITE;
/*!40000 ALTER TABLE `TTIPUSOK` DISABLE KEYS */;
INSERT INTO `TTIPUSOK` VALUES (1,'Alap. típus','Alapértelmezett típus',1,'2010-11-11 12:51:30',NULL);
/*!40000 ALTER TABLE `TTIPUSOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TTORZS`
--

DROP TABLE IF EXISTS `TTORZS`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TTORZS` (
  `FRAKTKOD` varchar(70) NOT NULL,
  `FRENDKOD` varchar(70) NOT NULL,
  `FNEV` varchar(100) NOT NULL,
  `FBESZALLITO` int(11) NOT NULL,
  `FGYARTO` int(11) NOT NULL,
  `FCSOPTIP` int(11) NOT NULL,
  `FAFATIPUS` int(11) NOT NULL,
  `FDEFBESZAR` decimal(12,2) DEFAULT NULL,
  `FDEFELADAR` decimal(12,2) DEFAULT NULL,
  `FMINKESZLET` decimal(12,2) DEFAULT NULL,
  `FBESZIDO` decimal(12,2) DEFAULT NULL,
  `FEGYSEG` varchar(20) DEFAULT NULL,
  `FITJ` varchar(70) DEFAULT NULL,
  `FLEIRAS` varchar(255) DEFAULT NULL,
  `FIMAGE` longblob,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  `FSPECSZERSZAMVEVO` int(11) DEFAULT NULL,
  `FKOZVSZOLGALTATAS` int(11) DEFAULT '0',
  PRIMARY KEY (`FRAKTKOD`),
  KEY `TORZS_BESZALL` (`FBESZALLITO`),
  KEY `TORZS_CSOPTIP` (`FCSOPTIP`),
  KEY `TORZS_AFA` (`FAFATIPUS`),
  KEY `TORZS_GYARTO` (`FGYARTO`),
  CONSTRAINT `TORZS_AFA` FOREIGN KEY (`FAFATIPUS`) REFERENCES `TAFATIPUSOK` (`FAZONOSITO`) ON UPDATE CASCADE,
  CONSTRAINT `TORZS_BESZALL` FOREIGN KEY (`FBESZALLITO`) REFERENCES `TPARTNEREK` (`FAZONOSITO`) ON UPDATE CASCADE,
  CONSTRAINT `TORZS_CSOPTIP` FOREIGN KEY (`FCSOPTIP`) REFERENCES `TTIPUSOK` (`FAZONOSITO`) ON UPDATE CASCADE,
  CONSTRAINT `TORZS_GYARTO` FOREIGN KEY (`FGYARTO`) REFERENCES `TPARTNEREK` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TTORZS`
--

LOCK TABLES `TTORZS` WRITE;
/*!40000 ALTER TABLE `TTORZS` DISABLE KEYS */;
/*!40000 ALTER TABLE `TTORZS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TTULAJDONSAGOK`
--

DROP TABLE IF EXISTS `TTULAJDONSAGOK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TTULAJDONSAGOK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FNEV` varchar(70) NOT NULL,
  `FTIPUS` int(11) NOT NULL,
  `FLEIRAS` varchar(255) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  UNIQUE KEY `NEV_TULAJDONSAGOK` (`FNEV`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TTULAJDONSAGOK`
--

LOCK TABLES `TTULAJDONSAGOK` WRITE;
/*!40000 ALTER TABLE `TTULAJDONSAGOK` DISABLE KEYS */;
/*!40000 ALTER TABLE `TTULAJDONSAGOK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TTULAJERTEK`
--

DROP TABLE IF EXISTS `TTULAJERTEK`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TTULAJERTEK` (
  `FAZONOSITO` int(11) NOT NULL AUTO_INCREMENT,
  `FRAKTKOD` varchar(70) NOT NULL,
  `FTULAJDONSAG` int(11) NOT NULL,
  `FSTRING` varchar(255) DEFAULT NULL,
  `FDOUBLE` decimal(12,2) DEFAULT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  PRIMARY KEY (`FAZONOSITO`),
  KEY `TULAJERTEK_RAKTKOD` (`FRAKTKOD`),
  KEY `TULAJERTEK_TULAJD` (`FTULAJDONSAG`),
  CONSTRAINT `TULAJERTEK_RAKTKOD` FOREIGN KEY (`FRAKTKOD`) REFERENCES `TTORZS` (`FRAKTKOD`) ON UPDATE CASCADE,
  CONSTRAINT `TULAJERTEK_TULAJD` FOREIGN KEY (`FTULAJDONSAG`) REFERENCES `TTULAJDONSAGOK` (`FAZONOSITO`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TTULAJERTEK`
--

LOCK TABLES `TTULAJERTEK` WRITE;
/*!40000 ALTER TABLE `TTULAJERTEK` DISABLE KEYS */;
/*!40000 ALTER TABLE `TTULAJERTEK` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TUSERS`
--

DROP TABLE IF EXISTS `TUSERS`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TUSERS` (
  `FUSERID` varchar(70) NOT NULL,
  `FPASSWORD` varchar(255) NOT NULL,
  `FTIPUS` varchar(70) NOT NULL,
  `FIDO` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FUSER` varchar(70) DEFAULT NULL,
  `FSO` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`FUSERID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TUSERS`
--

LOCK TABLES `TUSERS` WRITE;
/*!40000 ALTER TABLE `TUSERS` DISABLE KEYS */;
INSERT INTO `TUSERS` VALUES ('default','d','AdminDocumentsMaintenanceQueryStorage','2013-10-28 15:51:39','default',NULL);
/*!40000 ALTER TABLE `TUSERS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `TVERSION`
--

DROP TABLE IF EXISTS `TVERSION`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TVERSION` (
  `FMAJOR` int(11) DEFAULT NULL,
  `FMINOR` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `TVERSION`
--

LOCK TABLES `TVERSION` WRITE;
/*!40000 ALTER TABLE `TVERSION` DISABLE KEYS */;
INSERT INTO `TVERSION` VALUES (1,10);
/*!40000 ALTER TABLE `TVERSION` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-01-19 22:56:38
